/*
 *    Copyright (c) 2018-2025, hnqz All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 * Neither the name of the pig4cloud.com developer nor the names of its
 * contributors may be used to endorse or promote products derived from
 * this software without specific prior written permission.
 * Author: hnqz
 */

import request from "@/router/axios";

export function distribute(obj) {
  return request({
    url: "/admin/wmdadrugentdrugtable/distribute",
    method: "post",
    data: obj
  });
}

export function fetchList(query) {
  return request({
    url: "/admin/wmdadrugentdrugtable/page",
    method: "get",
    params: query
  });
}

export function listReDept(query) {
  return request({
    url: "/admin/wmdadrugentdrugtable/listReDept",
    method: "get",
    params: query
  });
}

export function listDept(query) {
  return request({
    url: "/admin/dept/listScope",
    method: "get",
    params: query
  });
}

export function addObj(obj) {
  return request({
    url: "/admin/wmdadrugentdrugtable",
    method: "post",
    data: obj
  });
}

export function getObj(id) {
  return request({
    url: "/admin/wmdadrugentdrugtable/" + id,
    method: "get"
  });
}

export function delObj(id) {
  return request({
    url: "/admin/wmdadrugentdrugtable/" + id,
    method: "delete"
  });
}

export function putObj(obj) {
  return request({
    url: "/admin/wmdadrugentdrugtable",
    method: "put",
    data: obj
  });
}

export function list(obj) {
  return request({
    url: "/admin/wmdadrugentdrugtable/list",
    method: "get",
    data: obj
  });
}

// 绑定问卷
export function drugQuizBindApi(obj) {
  return request({
    url: "/admin/drug/quiz/bind",
    method: "post",
    data: obj
  });
}

export function getDrugQuizApi(query) {
  return request({
    url: "/admin/drug/quiz/list",
    method: "get",
    params: query
  });
}
