/**
 * @desc 认证结算状态
 * @author linyuanjie
 * @date 2022/4/17
 */

// 各渠道结算失败的状态
export const CERT_FAILED_MAP = {
  REN_LI_JIA: ['CER_STATUS_2', 'CER_STATUS_4'],
  TAX_HELPOR: ['UN_CERT', 'ADD_MEMBER', 'UNCHECKED_BIND'],
  OLADING: ['UN_SIGNED', 'UN_CERT'],
  YEE: ['UN_SIGNED', 'TERMINATED'],
  ZHENG_QI_ZHI_XING: ['UN_SIGN'],
  LANG_CHAO: ['UN_SIGN'],
  HUI_QI_YUN: ['UN_SIGN'],
  JIANG_XI: ['UN_SIGN'],
  ZHONG_YI_YUN: ['UN_SIGN'],
  ZHONG_ZHI: ['UN_SIGN'],
  QI_FU: ['UN_SIGN'],
  SHEN_ZHEN_REN_CAI: ['UN_SIGN'],
  YI_MA: ['UN_SIGN'],
  XIN_SHI_YI: ['UN_SIGN'],
  HE_CHUANG_ZHONG_ZHI: ['UN_SIGN'],
  HE_CHUANG_REN_CAI_YUN: ['UN_SIGN'],

}

export const REN_LI_JIA_CERT_STATUS_MAP = {
  CER_STATUS_1: "认证成功", // 1
  CER_STATUS_2: "认证失败", // 2
  CER_STATUS_3: "认证中", // 3
  CER_STATUS_4: "未认证", // 4
}

export const REN_LI_JIA_CERT_STATUS_CODE_MAP = [
  { label: '认证成功', value: 1 },
  { label: '认证失败', value: 2 },
  { label: '认证中', value: 3 },
  { label: '未认证', value: 4 }
]

export const TAX_HELPOR_CERT_STATUS_MAP = {
  UN_CERT: '未认证', // 10
  ADD_MEMBER: '已增员', // 11
  CHECKED_UNBIND: '已认证，未绑卡', // 12
  CHECKING_BIND: '认证中已绑卡', // 13
  CHECKING_UNBIND: '认证中未绑卡', // 14
  CERT: '已认证', // 15
  UNCHECKED_BIND: '未认证已绑卡', // 16
}

export const TAX_HELPOR_CERT_STATUS_CODE_MAP = [
  { label: '未认证', value: 10 },
  { label: '已增员', value: 11 },
  { label: '已认证，未绑卡', value: 12 },
  { label: '认证中已绑卡', value: 13 },
  { label: '认证中未绑卡', value: 14 },
  { label: '已认证', value: 15 },
  { label: '未认证已绑卡', value: 16 }
]

export const OLADING_CERT_STATUS_MAP = { // 自由职家
  UN_SIGNED: '未签约', // 0
  CERT: '已认证', // 1
  SIGNED: '已签约', // 2
  SIGNING: '签约中', // 3
  UN_CERT: '未认证' // 4
}

export const OLADING_CERT_STATUS_CODE_MAP = [
  { label: '未签约', value: 0 },
  { label: '已认证', value: 1 },
  { label: '已签约', value: 2 },
  { label: '签约中', value: 3 },
  { label: '未认证', value: 4 },
]
export const OLADING_JINYUAN_CERT_STATUS_CODE_MAP = [
  { label: '未签约', value: 0 },
  { label: '已认证', value: 1 },
  { label: '已签约', value: 2 },
  { label: '签约中', value: 3 },
  { label: '未认证', value: 4 },
]
export const OLADING_HENAN_CERT_STATUS_CODE_MAP = [
  { label: '未签约', value: 0 },
  { label: '已认证', value: 1 },
  { label: '已签约', value: 2 },
  { label: '签约中', value: 3 },
  { label: '未认证', value: 4 },
]
export const OLADING_ZHAOYU_CERT_STATUS_CODE_MAP = [
  { label: '未签约', value: 0 },
  { label: '已认证', value: 1 },
  { label: '已签约', value: 2 },
  { label: '签约中', value: 3 },
  { label: '未认证', value: 4 },
]
export const ZHENG_QI_ZHI_XING_CERT_STATUS_CODE_MAP = [
  { label: '未签约', value: 0 },
  { label: '已认证', value: 1 },
  { label: '已签约', value: 2 }
]
export const LANG_CHAO_CERT_STATUS_CODE_MAP = [
  { label: '未签约', value: 0 },
  { label: '已认证', value: 1 },
  { label: '已签约', value: 2 }
]
export const JIANG_XI_CERT_STATUS_CODE_MAP = [
  { label: '未签约', value: 0 },
  { label: '已认证', value: 1 },
  { label: '已签约', value: 2 }
]

export const ZHONG_YI_YUN_CERT_STATUS_CODE_MAP = [
  { label: '未签约', value: 0 },
  { label: '已认证', value: 1 },
  { label: '已签约', value: 2 }
]
export const ZHONG_ZHI_CERT_STATUS_CODE_MAP = [
  { label: '未签约', value: 0 },
  { label: '已认证', value: 1 },
  { label: '已签约', value: 2 }
]

export const YEE_CERT_STATUS_MAP = { // 易联
  UN_SIGNED: "未签约", // 0
  SIGNED: "已签约", // 1
  TERMINATED: "已解约" // 2
}

export const YEE_CERT_STATUS_CODE_MAP = [
  { label: '未签约', value: 0 },
  { label: '已签约', value: 1 },
  { label: '已解约', value: 2 },
]
export const HUI_QI_YUN_CERT_STATUS_CODE_MAP = [
  { label: '未签约', value: 0 },
  { label: '已认证', value: 1 },
  { label: '已签约', value: 2 },
]
export const QI_FU_CERT_STATUS_CODE_MAP = [
  { label: '未签约', value: 0 },
  { label: '已认证', value: 1 },
  { label: '已签约', value: 2 },
]
export const SHEN_ZHEN_REN_CAI_CERT_STATUS_CODE_MAP = [
  { label: '未签约', value: 0 },
  { label: '已认证', value: 1 },
  { label: '已签约', value: 2 },
]
export const YI_MA_CERT_STATUS_CODE_MAP = [
  { label: '未签约', value: 0 },
  { label: '已认证', value: 1 },
  { label: '已签约', value: 2 },
]
export const XIN_SHI_YI_CERT_STATUS_CODE_MAP = [
  { label: '未签约', value: 0 },
  { label: '已认证', value: 1 },
  { label: '已签约', value: 2 },
]
export const HE_CHUANG_ZHONG_ZHI_CERT_STATUS_CODE_MAP = [
  { label: '未签约', value: 0 },
  { label: '已认证', value: 1 },
  { label: '已签约', value: 2 },
]
export const HE_CHUANG_REN_CAI_YUN_CERT_STATUS_CODE_MAP = [
  { label: '未签约', value: 0 },
  { label: '已认证', value: 1 },
  { label: '已签约', value: 2 },
]

export const GIG_MAP = {
  REN_LI_JIA: '人力家',
  TAX_HELPOR: '税邦云',
  YEE: '易联',
  OLADING: '自由职家'
}

export const  GIG_CODE_MAP = {
  '0': 'REN_LI_JIA',
  '1': 'TAX_HELPOR',
  '2': 'OLADING',
  '3': 'YEE',
  '4': 'OLADING_JINYUAN',
  '5': 'OLADING_HENAN',
  '6': 'ZHENG_QI_ZHI_XING',

}

export default {
  CERT_FAILED_MAP
}

export const SUBJECT_TYPE_MAP = {
  REN_LI_JIA: 'renlijia', // 人力家
  LUO_SHU_YUN: 'tax_helper', // 税邦云
  FEI_YI: 'olading', // 自由职家
  YI_LIAN: 'yee', // 易联
  JIN_YUAN: 'olading_jinyuan', // 阿拉丁-金源数科
  XIN_TAI_ZI: 'olading_henan', // 阿拉丁-金源数科
  ZHAO_YU: 'olading_zhaoyu',
  ZHENG_QI_ZHI_XING: 'zheng_qi_zhi_xing',
  LANG_CHAO: 'lang_chao',
  JIANG_XI: 'zheng_qi_zhi_xing_jiang_xi',
  HUI_QI_YUN: 'hui_qi_yun',
  ZHONG_YI_YUN: 'zhong_yi_yun',
  ZHONG_ZHI: 'zhong_zhi',
  QI_FU: 'qi_fu',
  SHEN_ZHEN_REN_CAI: 'shen_zhen_ren_cai',
  YI_MA: 'yi_ma',
  XIN_SHI_YI: 'xin_shi_yi',
  HE_CHUANG_ZHONG_ZHI: 'he_chuang_zhong_zhi',
  HE_CHUANG_REN_CAI_YUN: 'he_chuang_ren_cai_yun',
}
