/*
 *    Copyright (c) 2018-2025, hnqz All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 * Neither the name of the pig4cloud.com developer nor the names of its
 * contributors may be used to endorse or promote products derived from
 * this software without specific prior written permission.
 * Author: hnqz
 */
export const tableOption = {
  border: true,
  index: true,
  indexLabel: "序号",
  stripe: true,
  menuAlign: "center",
  searchMenuSpan: 6,
  editBtn: false,
  delBtn: false,
  align: "center",
  addBtn: false,
  menu: false,
  column: [
    {
      fixed: true,
      label: "id",
      prop: "userId",
      span: 24,
      hide: true,
      editDisplay: false,
      addDisplay: false
    },
    {
      fixed: true,
      label: "企业名称",
      prop: "deptId",
      hide: true,
      dicUrl: "/admin/dept/selectDeptByName",
      props: {
        label: "name",
        value: "deptId"
      },
      type: "select",
      search: true,
      span: 24
    },
    {
      fixed: true,
      label: "企业名称",
      prop: "name",
      type: "select",
      span: 24
    },
    {
      fixed: true,
      label: "统一社会信用代码",
      prop: "entcode",
      span: 24
    },
    {
      fixed: true,
      label: "企业类型",
      prop: "LEVEL",
      dicUrl: "/admin/dict/type/business_type",
      type: "select",
      formatter: function(row) {
        return String(row.LEVEL);
      },
      span: 24
    }
  ]
};
