export const oneselfOptin = {
  border: true,
  index: true,
  indexLabel: "序号",
  stripe: true,
  menuAlign: "center",
  align: "center",
  searchMenuSpan: 6,
  columnBtn: true,
  menu: true,
  editBtn: false,
  delBtn: false,
  addBtn: false,
  selection: true,
  column: [
    {
      type: "input",
      label: "积分包名称/编号",
      prop: "scorePackageName",
      span: 13,
      searchLabelWidth: 120,
      search: true,
      editDisplay: false,
      addDisplay: false,
      slot: true
    },

    {
      type: "input",
      label: "接单对象范围",
      prop: "packageUserScopeName"
    },
    {
      searchLabelWidth: "120",
      type: "select",
      label: "接单对象范围",
      prop: "packageUserScope",
      search: true,
      hide: true,
      dicUrl: "/admin/wmscorepackage/list-package-user-scope",
      props: {
        label: "name",
        value: "id"
      }
    },
    {
      type: "datetime",
      label: "发包时间",
      prop: "createTime"
    },

    {
      type: "input",
      label: "积分包值",
      prop: "score",
      span: 13,
      editDisplay: false
    },

    {
      type: "input",
      label: "结算人员",
      prop: "userNames",
      search: true
    },
    {
      type: "input",
      label: "手机号",
      prop: "userPhones",
      width: 96
    },
    {
      type: "input",
      label: "身份证号",
      prop: "idCardNums",
      search: true,
      width: 130
    },
    {
      type: "select",
      label: "结算渠道",
      prop: "subjectLocation",
      span: 13,
      dicUrl: "/admin/dict/type/subject_location?filterData=false",
      search: true,
      searchslot: true
    },
    {
      type: "select",
      label: "发票类目",
      prop: "invoiceCategory",
      search: true,
      searchslot: true,
      span: 3,
      editDisplay: false,
      addDisplay: false,
      slot: true
    },
    {
      type: "input",
      label: "实际结算金额",
      prop: "settleAmount",
      width: 100,
      hide: false,
      allowEdit: true,
      span: 20
    },
    {
      type: "input",
      label: "实际支付金额",
      prop: "actualAmount",
      width: 100,
      editDisplay: false,
      addDisplay: false,
      span: 20
    },
    {
      label: "结算状态",
      prop: "settleStatus",
      search: true,
      type: "select",
      dicUrl: "/admin/dict/type/settle_status",
      editDisplay: false,
      addDisplay: false,
      span: 13
    },

    {
      label: "提交时间",
      type: "datetime",
      dataType: "array",
      prop: "settlementDate",
      span: 13,
      search: true, //是否可以搜索
      searchRange: true, //控制搜索时是否是日期范围默认为false是单独的一天
      format: "yyyy-MM-dd HH:mm:ss",
      valueFormat: "yyyy-MM-dd HH:mm:ss",
      searchSpan: 10
    },
    {
      label: "下发时间",
      type: "datetime",
      dataType: "array",
      prop: "subToGigTime",
      span: 13,
      search: true, //是否可以搜索
      searchRange: true, //控制搜索时是否是日期范围默认为false是单独的一天
      format: "yyyy-MM-dd HH:mm:ss",
      valueFormat: "yyyy-MM-dd HH:mm:ss",
      searchSpan: 10
    },
    {
      type: "input",
      label: "发票号码",
      prop: "invoiceNumber",
      hide: true,
      search: true
    },
    {
      label: "到账时间",
      type: "datetime",
      dataType: "array",
      prop: "notifyTime",
      span: 13,
      search: true, //是否可以搜索
      searchRange: true, //控制搜索时是否是日期范围默认为false是单独的一天
      format: "yyyy-MM-dd HH:mm:ss",
      valueFormat: "yyyy-MM-dd HH:mm:ss",
      searchSpan: 10
    },

    {
      type: "input",
      label: "关联积分包名称",
      prop: "relationScoreName"
    }
  ]
};

export const otherOptin = {
  border: true,
  index: true,
  indexLabel: "序号",
  stripe: true,
  menuAlign: "center",
  align: "center",
  searchMenuSpan: 6,
  columnBtn: true,
  menu: true,
  editBtn: false,
  delBtn: false,
  addBtn: false,
  selection: true,
  column: [
    {
      type: "input",
      label: "积分包名称/编号",
      prop: "scorePackageName",
      span: 13,
      searchLabelWidth: 120,
      search: true,
      editDisplay: false,
      addDisplay: false,
      slot: true
    },

    {
      type: "input",
      label: "发包机构",
      prop: "packageEntName",
      search: true,
      span: 13,
      editDisplay: false
    },
    {
      type: "datetime",
      label: "发包时间",
      prop: "createTime"
    },

    {
      type: "input",
      label: "积分包值",
      prop: "score",
      span: 13,
      editDisplay: false
    },

    {
      type: "input",
      label: "结算人员",
      prop: "userNames",
      search: true
    },
    {
      type: "input",
      label: "手机号",
      prop: "userPhones",
      width: 96
    },
    {
      type: "input",
      label: "身份证号",
      prop: "idCardNums",
      search: true,
      width: 130
    },
    {
      type: "select",
      label: "结算渠道",
      prop: "subjectLocation",
      span: 13,
      dicUrl: "/admin/dict/type/subject_location?filterData=false",
      search: true,
      searchslot: true
    },
    {
      type: "select",
      label: "发票类目",
      prop: "invoiceCategory",
      search: true,
      searchslot: true,
      span: 3,
      editDisplay: false,
      addDisplay: false,
      slot: true
    },
    {
      type: "input",
      label: "实际结算金额",
      prop: "settleAmount",
      width: 100,
      hide: false,
      allowEdit: true,
      span: 20
    },
    {
      type: "input",
      label: "实际支付金额",
      prop: "actualAmount",
      width: 100,
      editDisplay: false,
      addDisplay: false,
      span: 20
    },
    {
      label: "结算状态",
      prop: "settleStatus",
      search: true,
      type: "select",
      dicUrl: "/admin/dict/type/settle_status",
      editDisplay: false,
      addDisplay: false,
      span: 13
    },

    {
      label: "提交时间",
      type: "datetime",
      dataType: "array",
      prop: "settlementDate",
      span: 13,
      search: true, //是否可以搜索
      searchRange: true, //控制搜索时是否是日期范围默认为false是单独的一天
      format: "yyyy-MM-dd HH:mm:ss",
      valueFormat: "yyyy-MM-dd HH:mm:ss",
      searchSpan: 10
    },
    {
      label: "下发时间",
      type: "datetime",
      dataType: "array",
      prop: "subToGigTime",
      span: 13,
      search: true, //是否可以搜索
      searchRange: true, //控制搜索时是否是日期范围默认为false是单独的一天
      format: "yyyy-MM-dd HH:mm:ss",
      valueFormat: "yyyy-MM-dd HH:mm:ss",
      searchSpan: 10
    },
    {
      type: "input",
      label: "发票号码",
      prop: "invoiceNumber",
      hide: true,
      search: true
    },
    {
      label: "到账时间",
      type: "datetime",
      dataType: "array",
      prop: "notifyTime",
      span: 13,
      search: true, //是否可以搜索
      searchRange: true, //控制搜索时是否是日期范围默认为false是单独的一天
      format: "yyyy-MM-dd HH:mm:ss",
      valueFormat: "yyyy-MM-dd HH:mm:ss",
      searchSpan: 10
    },

    {
      type: "input",
      label: "关联积分包名称",
      prop: "relationScoreName"
    },
    {
      type: "input",
      label: "接单对象范围",
      prop: "packageUserScopeName"
    },
    {
      searchLabelWidth: "120",
      type: "select",
      label: "接单对象范围",
      prop: "packageUserScope",
      search: true,
      hide: true,
      dicUrl: "/admin/wmscorepackage/list-package-user-scope",
      props: {
        label: "name",
        value: "id"
      }
    }
  ]
};
