export const missionCenterData = {
  align: 'center',
  menuAlign: 'center',
  indexLabel: '序号',
  index: true,
  selection: false,
  border: true,
  addBtn: false,
  delBtn: false,

  editBtn: false,
  searchMenuSpan: 4,
  searchLabelWidth: '90',
  column: [
    {
      type: 'input',
      label: '执行包名称',
      prop: 'scorePackageName',
      search: true,
      span: 24
    },
    {
      type: 'select',
      label: '分发对象',
      prop: 'sendPackageDeptId',
      addDisplay: false,
      editDisplay: false,
      viewDisplay: false,
      search: true,
      span: 13,
      dicUrl: '/admin/wmscorepackage/selectSendPackageDeptId',
      props: {
        label: 'name',
        value: 'deptId'
      },
      formatter: function (row) {
        return parseInt(row.sendPackageDeptId);
      }
    },
    {
      label: '服务总值',
      prop: 'score',
      addDisplay: false,
      editDisplay: false,
      viewDisplay: false,
      span: 13
    },
    {
      label: '执行包类型',
      prop: 'packageType1',
      addDisplay: false,
      editDisplay: false,
      viewDisplay: false,
      dicUrl: '/admin/dict/type/package_type1',
      span: 13
    },
    {
      label: '有效服务类型',
      prop: 'taskTypes',
      addDisplay: false,
      editDisplay: false,
      viewDisplay: false,
      span: 13,
      slot: true
    },
    {
      label: '关联执行包',
      prop: 'relationScoreId',
      hide: true,
      addDisplay: false,
      editDisplay: false,
      viewDisplay: false,
      span: 13
    },
    {
      label: '所属月份',
      prop: 'belongDate',
      type: 'date',
      addDisplay: false,
      editDisplay: false,
      viewDisplay: false,
      format: 'yyyy-MM',
      valueFormat: 'yyyy-MM',
      span: 13
    },
    {
      label: '分配日期',
      prop: 'allocationDate',
      span: 13,
      type: 'date',
      addDisplay: false,
      editDisplay: false,
      viewDisplay: false,
      format: 'yyyy-MM-dd hh:mm:ss',
      valueFormat: 'yyyy-MM-dd hh:mm:ss'
      // dicUrl: '/admin/wmtaskrule/list',
      // props: {
      //   label: 'ruleMonth',
      //   value: 'id'
      // },
    },
    {
      type: 'select',
      label: '执行包状态',
      addDisplay: false,
      editDisplay: false,
      viewDisplay: false,
      span: 13,
      prop: 'packageFinishStatus',
      dicUrl: '/admin/dict/type/package_finish_status'
    },

    {
      type: 'input',
      label: '完成服务分值',
      addDisplay: false,
      editDisplay: false,
      viewDisplay: false,
      prop: 'ysh',
      span: 13
    },
    {
      label: '完成百分比',
      addDisplay: false,
      editDisplay: false,
      viewDisplay: false,
      prop: 'finishRate',
      span: 13,
      formatter: function (row) {
        return parseInt(row.finishRate) + '%';
      }
    },
    // {
    //   label: "结算总金额",
    //   prop: "p2pAmount",
    //   slot: true
    // },
    // {
    //   "label": "已支付积分值",
    //   "prop": "payScore",
    //   addDisplay:false,
    //   editDisplay:false,
    //   viewDisplay: false,
    //   span: 13,
    // },
    // {
    //   "label": "已支付百分比(%)",
    //   "prop": "payRate",
    //   addDisplay:false,
    //   editDisplay:false,
    //   viewDisplay: false,
    //   span: 13,
    //   type: 'select'
    // },
    {
      label: '可结算服务值',
      prop: 'ywctt',
      // slot:true,
      addDisplay: false,
      editDisplay: false,
      viewDisplay: false,
      span: 13
    }
  ]
};

// 查看页面
export const missionLookdata = {
  align: 'center',
  menuAlign: 'center',
  indexLabel: '序号',
  index: true,
  selection: false,
  border: true,
  addBtn: false,
  delBtn: false,
  editBtn: false,
  header: false,
  searchMenuSpan: 4,
  searchLabelWidth: '90',
  column: [
    {
      type: 'select',
      label: '服务类型',
      prop: 'taskTypeId',
      span: 13,
      dicUrl: '/admin/wmtasktype/list',
      props: {
        label: 'taskTypeName',
        value: 'id'
      }
    },
    {
      type: 'input',
      label: '服务积分',
      prop: 'score',
      span: 24
    },
    {
      type: 'input',
      label: '推广员名称',
      prop: 'taskUsername'
    },
    {
      label: '完成时间',
      prop: 'lookintoDate',
      span: 13,
      type: 'datetime',
      format: 'yyyy-MM-dd HH:mm:ss',
      valueFormat: 'yyyy-MM-dd HH:mm:ss'
    },
    {
      label: '审核状态',
      prop: 'taskStatus',
      span: 13,
      type: 'select',
      dicUrl: '/admin/dict/type/task_status'
    },
    {
      type: 'input',
      label: '执行包名称',
      prop: 'scorePackageName',
      span: 13
    },

    {
      type: 'select',
      label: '服务提供商',
      prop: 'deptId',
      dicUrl: '/admin/dept/list',
      props: {
        label: 'name',
        value: 'dept_id'
      }
    }
    // {
    //   "type": "select",
    //   "label": "服务企业",
    //   "prop": "drugEntId",
    //   dicUrl: '/admin/wmdadrugent/list',
    //   props: {
    //     label: 'entname',
    //     value: 'id'
    //   },
    //   span: 13,
    // }
  ]
};
