/*
 * @Description: 我的任务表格配置
 * @Author: ymz
 * @Date: 2021-12-03 10:24:47
 * @LastEditTime: 2021-12-08 15:13:51
 * @LastEditors: ymz
 * @Reference:
 */

export const myTaskOpt = {
  align: 'center',
  height:'calc(100vh - 300px)',
  index:true,
  indexLabel:'序号',
  border: true,
  stripe: true,
  columnBtn: false,
  refreshBtn: false,
  saveBtn: false,
  updateBtn: false,
  cancelBtn: false,
  addBtn: false,
  delBtn: false,
  editBtn: false,
  tip:false,
  menu:false,
  column:[
    {
      label:'任务类型',
      prop:'taskTypeName'
    },
    {
      label:'任务积分',
      prop:'score'
    },
    {
      label:'限定任务',
      prop:'qualifiedTask',
      slot:true
    },
    {
      label:'兼职学术推广员',
      prop:'zbdbStatus',
      slot:true
    },
    {
      label:'全职学术推广员',
      prop:'yydbStatus',
      slot:true
    },
    {
      label:'是否关联下级',
      prop:'associateLower',
      slot:true
    },
  ]

}

export const AllTaskOpt = {
	height:'calc(100vh - 430px)',
  align: 'center',
  border: true,
  stripe: true,
  columnBtn: false,
  refreshBtn: false,
  saveBtn: false,
  updateBtn: false,
  cancelBtn: false,
  addBtn: false,
  delBtn: false,
  editBtn: false,
  selection: true,
  tip:false,
  menuWidth: 150,
	selectable:(row,index)=>{
		return !row.reportApprovalOpinion;
	},
  column:[
		{
			"type": "select",
			"label": "任务类型",
			"prop": "taskTypeId",
			span: 13,
			dicUrl: '/admin/wmtasktype/list',
			props: {
				label: 'taskTypeName',
				value: 'id'
			},
		},
		{
			"label": "任务积分",
			addDisplay: false,
			editDisplay: false,
			viewDisplay: false,
			"prop": "score",
			span: 13
		},
		{
			"type": "select",
			"label": "姓名",
			"prop": "taskUserId",
			dicUrl: '/admin/user/list',
			props: {
				label: 'realname',
				value: 'id'
			},
		},
		{
			"label": "完成时间",
			"prop": "lookintoDate",
			span: 13,
			type: 'datetime',
			format: 'yyyy-MM-dd HH:mm:ss',
			valueFormat: 'yyyy-MM-dd HH:mm:ss'
		},
		{
			"label": "任务状态",
			"prop": "taskStatus",
			type: 'select',
			dicUrl: '/admin/dict/type/task_status',
		},

		{
			"type": "select",
			"label": "积分包名称",
			"prop": "scorePackageName",
			span: 13,
			// dicUrl: '/admin/wmscorepackage/list',
			// props: {
			// 	label: 'scoreName',
			// 	value: 'id'
			// },
		},
		{
			"type": "select",
			"label": "所属组织",
			"prop": "deptId",
			dicUrl: '/admin/dept/list',
			props: {
				label: 'name',
				value: 'dept_id'
			},
		}
	]

}


