export const settlementReviewOption = {
    "border": true,
    "index": true,
    "indexLabel": "序号",
    "stripe": true,
    "menuAlign": "center",
    "align": "center",
    "searchMenuSpan": 6,
    columnBtn: true,
    menu: true,
    editBtn: false,
    delBtn: false,
    addBtn:false,
    selection: true,
    column:[
      {
        "type": "input",
        label:'结算人员',
        prop:'realname',
        search: true,
        searchSpan: 8,
      },
      {
        "type": "input",
        label:'手机号',
        prop:'username',
      },
      {
        "type": "input",
        label:'身份证号',
        prop:'idCardNumber',

      },
      {
        "type": "input",
        label:'积分包个数',
        prop:'packageCount',
      },
      {
        "type": "input",
        label:'实际结算金额',
        prop:'settleAmount',
      },
      {
        "type": "input",
        label:'实际支付金额',
        prop:'actualAmount',
      },
    {
      "type": "select",
      "label": "结算渠道",
      "prop": "subjectLocation",
      span: 13,
      hide: true,
      dicUrl: '/admin/dict/type/subject_location',
      search:true,
    },
    ]
}


export const settlementReviewDetailOption = {
    "border": true,
    "index": true,
    "stripe": true,
    "menuAlign": "center",
    "align": "center",
    "searchMenuSpan": 6,
    columnBtn: true,
    editBtn: false,
    delBtn: false,
    addBtn:false,
    column: [
      {
        "type": "input",
        "label": "积分包名称/编号",
        "prop": "scorePackageName",
      },
      {
        "type": "input",
        "label": "发包机构",
        "prop": "packageEntName",
      },
      {
        type:'datetime',
        "label": "发包时间",
        "prop": "createTime",
      },

      {
        "type": "input",
        "label": "积分包值",
        "prop": "score",

      },
      {
        type: "input",
        label:'结算人员',
        prop:'userNames',
      },
      {
        type: "input",
        label:'手机号',
        prop:'userPhones',
        width: 96
      },
      {
        type: "input",
        label:'身份证号',
        prop:'idCardNums',
      },
      {
        "type": "select",
        "label": "结算渠道",
        "prop": "subjectLocation",
        span: 13,
        dicUrl: '/admin/dict/type/subject_location?filterData=false',
      },
      {
        type: 'input',
        "label": "发票类目",
        "prop": "categoryName",
      },
      {
        "type": "input",
        "label": "实际结算金额",
        "prop": "settleAmount",
        "width": 100,
        hide:false,
        allowEdit: true,
        span: 20
      },
      {
        "type": "input",
        "label": "实际支付金额",
        "prop": "actualAmount",
        "width": 100,
      },
      {
        "label": "结算状态",
        "prop": "settleStatus",
        type: 'select',
        dicUrl: '/admin/dict/type/settle_status',
        editDisplay: false,
        addDisplay: false,
        span: 13,
      },

      {
        "label": "提交时间",
        type: "datetime",
        dataType:'array',
        "prop": "settlementDate",
      },
      {
        type: "input",
        label:'下发时间',
        prop:'subToGigTime'
      },
    ]
}


export const errDataOption = {
  "align": 'center',
  "border": true,
  "addBtn": false,
  "editBtn": false,
  "delBtn": false,
  "viewBtn": false,
  menu: false,
  refreshBtn: false,
  columnBtn: false,
  searchBtn: false,
  column: [
    {
      label: '积分包名称',
      prop: 'packageName'
    },
    {
      label: '失败原因',
      prop: 'reason'
    }
  ]
}
