export const tableOption = {
  "border": true,
  "index": true,
  "indexLabel": "序号",
  "stripe": true,
  "menuAlign": "center",
  "align": "center",
  "searchMenuSpan": 6,
  "viewBtn":true,
  "column": [
    {
      "type": "input",
      "label": "",
      "prop": "id",
      hide:true,
      editDisplay: false,
      addDisplay: false,
      viewDisplay:false,
    },
    {
      type: "input",
      label: "合同编号",
      prop: "contractNumber",
      span: 12,
      search: false,
      rules: [{
        required: true,
        message: '请输入合同编号'
      },

        {
          min: 1,
          max: 100,
          message: '长度在 1-100 个字符',
          trigger: 'blur'
        }
      ]
    },
    {
      type: "input",
      label: "合同名称",
      prop: "contractName",
      span: 12,
      search: true,
      rules: [{
        required: true,
        message: '请输入合同名称'
      },
        {
          min: 1,
          max: 100,
          message: '长度在 1-100 个字符',
          trigger: 'blur'
        }
      ]
    },
    {
      type: "input",
      label: "签约甲方",
      prop: "signJia",
      span: 12,
      search: true,
      rules: [{
        required: true,
        message: '请输入签约甲方'
      },
        {
          min: 1,
          max: 100,
          message: '长度在 1-100 个字符',
          trigger: 'blur'
        }
      ]
    },
    {
      label: "签约乙方",
      prop: "signYi",
      type: 'input',
      span: 12,
      rules: [{
        required: true,
        message: '请输入签约乙方'
      }]
    },
    {
      label: "签约时间",
      prop: "signTime",
      type: 'datetime',
      span: 12,
      format: 'yyyy-MM-dd',
      valueFormat: 'yyyy-MM-dd',
      rules: [{
        required: true,
        message: '请输入签约时间'
      }]
    },
    {
      label: "归档时间",
      prop: "filingTime",
      type: 'datetime',
      span: 12,
      format: 'yyyy-MM-dd',
      valueFormat: 'yyyy-MM-dd',
      rules: [{
        required: true,
        message: '请输入归档时间'
      }]
    },
    {
      "label": "合同附件",
      hide: true,
      span: 24,
      prop: 'annexContract',
      type: 'upload',
      action: "/admin/sys-file/upload",
      propsHttp: {
        res: 'data'
      },
      listType: 'picture-card',
      dataType: 'string',
      tip: '上传同步至文件服务器',
      rules: [{
        required: true,
        message: '请上传合同附件'
      }]
    },
    // {
    //   label: "合同附件",
    //   prop: "annex_contract",
    //   type: 'upload',
    //   action: "/admin/sys-file/upload",
    //   propsHttp: {
    //     res: 'data'
    //   },
    //   hide:true,
    //   tip: '上传同步至文件服务器',
    //   listType: 'picture-card',
    //   dataType: 'string',
    //   rules: [{
    //     required: true,
    //     message: '请上传合同附件'
    //   }]
    // },
    {
      type: "input",
      label: "备注",
      prop: "remark",
      span: 13,
    },
    {
      type: "input",
      label: "组织机构",
      prop: "deptId",
      hide:true,
      viewDisplay:false,
      editDisplay: false,
      addDisplay: false
    },	  {
      type: "input",
      label: "是否删除",
      prop: "delFlag",
      hide:true,
      viewBtn:false,
      editDisplay: false,
      viewDisplay:false,
      addDisplay: false,
      value:0
    },	  {
      type: "input",
      label: "是否禁用",
      prop: "enableFlag"
      ,
      hide:true,
      editDisplay: false,
      viewDisplay:false,
      addDisplay: false,
      value:0
    },	  {
      type: "input",
      label: "所属租户",
      prop: "tenantId",
      hide:true,
      editDisplay: false,
      viewDisplay:false,
      addDisplay: false
    },	  {
      type: "input",
      label: "创建时间",
      prop: "createTime"
      ,
      hide:true,
      editDisplay: false,
      viewDisplay:false,
      addDisplay: false
    },	  {
      type: "input",
      label: "创建人",
      prop: "createUser"
      ,
      hide:true,
      editDisplay: false,
      viewDisplay:false,
      addDisplay: false
    },	  {
      type: "input",
      label: "更新时间",
      prop: "updateTime"
      ,
      hide:true,
      editDisplay: false,
      viewDisplay:false,
      addDisplay: false
    },	  {
      type: "input",
      label: "更新人",
      prop: "updateUser"
      ,
      hide:true,
      editDisplay: false,
      viewDisplay:false,
      addDisplay: false
    }  ]
}
