export const tableOption = {
  border: true,
  index: true,
  indexLabel: '序号',
  stripe: true,
  menuAlign: 'center',
  align: 'center',
  searchMenuSpan: 6,
  addBtn: false,
  delBtn: false,
  editBtn: false,
  dialogClickModal: false,
  labelWidth: 200,
  column: [
    {
      type: 'input',
      label: '',
      prop: 'id',
      hide: true,
      editDisplay: false,
      addDisplay: false
    },
    {
      type: 'select',
      label: '代理商',
      prop: 'temp2',
      hide: true,
      editDisplay: false,
      addDisplay: false,
      span: 18,
      dicUrl: '/admin/wmdaagent/list?agentTypeId=1',
      props: {
        label: 'gsmc',
        value: 'id'
      }
    },
    {
      type: 'input',
      label: '组织名称',
      prop: 'gsmc',
      search: true,
      span: 18,
      rules: [
        {
          required: true,
          message: '请输入企业名称'
        },
        {
          min: 1,
          max: 60,
          message: '长度在 1-60 个字符',
          trigger: 'blur'
        }
      ]
    },
    {
      label: '简称',
      prop: 'abbr'
    },
    {
      label: '简服务省份简称称',
      prop: 'provAbbr'
    },
    {
      label: '组织信用代码',
      prop: 'zjNumber',
      type: 'input',
      search: true,
      searchLabelWidth: 150,
      searchSpan: 8,
      span: 18,
      rules: [
        {
          required: true,
          pattern: /^[^_IOZSVa-z\W]{2}\d{6}[^_IOZSVa-z\W]{10}$/g,
          message: '请输入正确的统一社会信用代码'
        }
      ]
    },
    {
      label: '所属区域',
      prop: 'areaCodes',
      addDisplay: false,
      editDisplay: false,
      searchSpan: 8,
      hide: true,
      search: true,
      searchslot: true
    },
    {
      type: 'input',
      label: '组织架构',
      prop: 'updateUser',
      hide: true,
      editDisplay: false,
      addDisplay: false
    },
    {
      type: 'string',
      label: '组织架构',
      prop: 'level1Nname',
      hide: true,
      editDisplay: false,
      addDisplay: false
    },
    {
      type: 'input',
      label: '药企名称',
      prop: 'drugentName',
      hide: true,
      editDisplay: false,
      addDisplay: false
    },
    {
      label: '服务上级',
      prop: 'extDrugEnt',
      // slot:true,
      addDisplay: false,
      editDisplay: false,
      viewDisplay: false,
      span: 13
    },
    {
      type: 'select',
      label: '启停状态',
      prop: 'enableFlag',
      span: 18,
      dicUrl: '/admin/dict/type/enable_disabled',
      rules: [
        {
          required: true,
          message: '请选择状态',
          trigger: 'blur'
        }
      ]
    },
    {
      label: '营业执照',
      hide: true,
      prop: 'yyzz',
      type: 'upload',
      action: '/admin/sys-file/upload',
      propsHttp: {
        res: 'data'
      },
      listType: 'picture-img',
      dataType: 'string',
      tip: '上传同步至文件服务器',
      rules: [
        {
          required: true,
          message: '请上传营业执照'
        }
      ]
    },
    {
      label: '社保缴纳证明',
      prop: 'sbjnzm',
      type: 'upload',
      loadText: '附件上传中，请稍等',
      span: 24,
      propsHttp: {
        res: 'data'
      },
      tip: '上传同步至文件服务器',
      action: '/admin/sys-file/upload',
      hide: true,
      listType: 'picture-card',
      dataType: 'string',
      rules: [
        {
          required: true,
          message: '请上传社保缴纳证明'
        }
      ]
    },
    {
      label: '法人身份证证明-正面',
      prop: 'frsfzzmZm',
      hide: true,
      type: 'upload',
      loadText: '附件上传中，请稍等',
      span: 24,
      propsHttp: {
        res: 'data'
      },
      tip: '上传同步至文件服务器',
      action: '/admin/sys-file/upload',
      listType: 'picture-img',
      dataType: 'string',
      rules: [
        {
          required: true,
          message: '请上传法人身份证证明-正面'
        }
      ]
    },
    {
      label: '法人身份证证明-背面',
      prop: 'frsfzzmBm',
      hide: true,
      type: 'upload',
      loadText: '附件上传中，请稍等',
      span: 24,
      propsHttp: {
        res: 'data'
      },
      tip: '上传同步至文件服务器',
      action: '/admin/sys-file/upload',
      listType: 'picture-img',
      dataType: 'string',
      rules: [
        {
          required: true,
          message: '请上传法人身份证证明-背面'
        }
      ]
    },
    {
      label: '法人身份证证明-手持',
      prop: 'frsfzzmSc',
      hide: true,
      type: 'upload',
      loadText: '附件上传中，请稍等',
      span: 24,
      propsHttp: {
        res: 'data'
      },
      tip: '上传同步至文件服务器',
      action: '/admin/sys-file/upload',
      listType: 'picture-img',
      dataType: 'string',
      rules: [
        {
          required: true,
          message: '请上传法人身份证证明-手持'
        }
      ]
    },
    {
      label: '证件类型',
      prop: 'zjType',
      type: 'select',
      dicUrl: '/admin/dict/type/zjType',
      span: 18,
      hide: true,
      editDisplay: false,
      addDisplay: false
    },
    {
      label: '结算账号',
      prop: 'jsAccount',
      type: 'input',
      hide: true,
      editDisplay: false,
      addDisplay: false,
      span: 13
    },
    {
      label: '是否审核',
      prop: 'isExamine',
      type: 'select',
      dicUrl: '/admin/dict/type/yes_or_no',
      hide: true,
      editDisplay: false,
      addDisplay: false,
      value: '1'
    },
    {
      label: '是否删除',
      prop: 'delFlag',
      type: 'select',
      dicUrl: '/admin/dict/type/yes_or_no',
      hide: true,
      editDisplay: false,
      addDisplay: false,
      value: '0'
    },
    // {
    //   "label": "是否禁用",
    //   "prop": "enableFlag",
    //   type: 'select',
    //   hide: true,
    //   dicUrl: '/admin/dict/type/yes_or_no',
    //   editDisplay: false,
    //   addDisplay: false,
    //   value: "0"
    // },
    {
      type: 'input',
      label: '所属租户',
      prop: 'tenantId',
      hide: true,
      editDisplay: false,
      addDisplay: false
    },
    {
      type: 'input',
      label: '创建时间',
      prop: 'createTime',
      hide: true,
      editDisplay: false,
      addDisplay: false
    },
    {
      type: 'input',
      label: '更新时间',
      prop: 'updateTime',
      hide: true,
      editDisplay: false,
      addDisplay: false
    },
    {
      label: '所属区域',
      prop: 'areaCodesData',
      type: 'select',
      hide: true,
      formslot: true,
      slot: true,
      overHidden: true,
      span: 24,
      rules: [
        {
          required: true,
          message: '请选择所属区域',
          trigger: 'blur'
        }
      ]
    }
  ]
};

export const teamTableOption = {
  border: true,
  index: true,
  indexLabel: '序号',
  stripe: true,
  menuAlign: 'center',
  align: 'center',
  searchMenuSpan: 6,
  addBtn: false,
  delBtn: false,
  editBtn: false,
  column: [
    {
      type: 'input',
      label: '团队名称',
      prop: 'gsmc',
      hide: true,
      span: 24,
      rules: [
        {
          required: true,
          message: '请输入团队名称'
        },
        {
          min: 1,
          max: 60,
          message: '长度在 1-60 个字符',
          trigger: 'blur'
        }
      ]
    },
    {
      label: '组织信用代码',
      prop: 'zjNumber',
      type: 'input',
      search: false,
      hide: true,
      span: 24,
      rules: [
        {
          required: true,
          message: '请输入负责人身份证号码"'
        }
      ]
    },
    {
      type: 'select',
      label: '启停状态',
      prop: 'enableFlag',
      span: 24,
      dicUrl: '/admin/dict/type/enable_disabled',
      rules: [
        {
          required: true,
          message: '请选择状态',
          trigger: 'blur'
        }
      ]
    },
    {
      label: '负责人身份证照片-正面',
      prop: 'frsfzzmZm',
      hide: true,
      type: 'upload',
      loadText: '附件上传中，请稍等',
      span: 24,
      propsHttp: {
        res: 'data'
      },
      tip: '上传同步至文件服务器',
      action: '/admin/sys-file/upload',
      listType: 'picture-img',
      dataType: 'string',
      rules: [
        {
          required: true,
          message: '请上传负责人身份证照片-正面'
        }
      ]
    },
    {
      label: '负责人身份证照片-反面',
      prop: 'frsfzzmBm',
      hide: true,
      type: 'upload',
      loadText: '附件上传中，请稍等',
      span: 24,
      propsHttp: {
        res: 'data'
      },
      tip: '上传同步至文件服务器',
      action: '/admin/sys-file/upload',
      listType: 'picture-img',
      dataType: 'string',
      rules: [
        {
          required: true,
          message: '请上传负责人身份证照片-反面'
        }
      ]
    },
    {
      label: '所属区域',
      prop: 'areaCodes',
      addDisplay: false,
      editDisplay: false,
      searchSpan: 8,
      hide: true,
      search: true,
      searchslot: true
    },
    {
      label: '所属区域',
      prop: 'areaCodesData',
      type: 'select',
      hide: true,
      formslot: true,
      slot: true,
      overHidden: true,
      span: 24,
      rules: [
        {
          required: true,
          message: '请选择所属区域',
          trigger: 'blur'
        }
      ]
    }
  ]
};
