export const tableOption = {
  border: true,
  index: true,
  indexLabel: "序号",
  stripe: true,
  menuAlign: "center",
  align: "center",
  searchMenuSpan: 6,
  addBtn: false,
  editBtn: false,
  column: [
    {
      type: "input",
      label: "",
      prop: "id",
      hide: true,
      editDisplay: false,
      addDisplay: false
    },
    {
      type: "input",
      label: "商业公司名称",
      prop: "gsmc",
      labelWidth: "160",
      span: 15,
      search: true,
      rules: [
        {
          required: true,
          message: "请输入商业公司名称"
        },
        {
          min: 1,
          max: 60,
          message: "长度在 1-60 个字符",
          trigger: "blur"
        }
      ]
    },
    {
      type: "input",
      label: "商业公司地址",
      prop: "sygsdz",
      labelWidth: "160",
      span: 15,
      hide: true,
      rules: [
        {
          required: true,
          message: "请输入商业公司地址"
        },
        {
          min: 1,
          max: 128,
          message: "长度在 1-128 个字符",
          trigger: "blur"
        }
      ]
    },

    // {
    //   "type": "input",
    //   "label": "省",
    //   "prop": "province",
    //   span: 13,
    //   formslot: true,
    //   slot: true,
    //   overHidden: true,
    //   hide:true,
    //   editDisplay: false,
    //   addDisplay: false
    // },
    // {
    //   "type": "input",
    //   "label": "市",
    //   "prop": "city",
    //   formslot: true,
    //   slot: true,
    //   overHidden: true,
    //   span: 24,
    //   hide:true,
    //   editDisplay: false,
    //   addDisplay: false
    // },	  {
    //   "type": "input",
    //   "label": "区",
    //   "prop": "area",
    //   formslot: true,
    //   slot: true,
    //   overHidden: true,
    //   span: 24,
    //   hide:true,
    //   editDisplay: false,
    //   addDisplay: false
    // },

    {
      type: "input",
      label: "地址",
      prop: "address",
      span: 24
    },
    {
      type: "input",
      label: "经度",
      prop: "longitude",
      labelWidth: "160",
      span: 12,
      hide: true,
      rules: [
        {
          required: true,
          message: "请输入经度",
          trigger: "blur"
        }
      ]
    },
    {
      type: "input",
      label: "纬度",
      prop: "latitude",
      labelWidth: "160",
      span: 12,
      hide: true,
      rules: [
        {
          required: true,
          message: "请输入纬度",
          trigger: "blur"
        }
      ]
    },
    {
      type: "select",
      label: "公司规模",
      prop: "gsgm",
      labelWidth: "160",
      span: 15,
      hide: true,
      dicUrl: "/admin/dict/type/bus_gsgm",
      search: true
      // rules: [{
      //   required: true,
      //   message: '请输入公司规模',
      //   trigger: 'blur'
      // }],
    },
    {
      type: "input",
      label: "统一社会信用代码",
      prop: "shyshxydm",
      labelWidth: "160",
      span: 15,
      hide: true,
      rules: [
        {
          required: true,
          message: "请输入统一社会信用代码",
          trigger: "blur"
        }
      ]
    },
    {
      type: "input",
      label: "公司注册地",
      prop: "gszcd",
      labelWidth: "160",
      span: 15,
      hide: true,
      rules: [
        {
          required: true,
          message: "请输入公司注册地",
          trigger: "blur"
        }
      ]
    },
    {
      type: "input",
      label: "注册资本",
      prop: "zczb",
      labelWidth: "160",
      span: 15,
      hide: true,
      rules: [
        {
          required: true,
          message: "请输入注册资本",
          trigger: "blur"
        }
      ]
    },
    {
      type: "input",
      label: "GSP证书编号",
      prop: "gspzsbh",
      labelWidth: "160",
      span: 15,
      hide: true,
      rules: [
        {
          required: true,
          message: "请输入GSP证书编号",
          trigger: "blur"
        }
      ]
    },
    {
      type: "input",
      label: "法定代表人",
      prop: "frdb",
      labelWidth: "160",
      span: 15,
      hide: true,
      rules: [
        {
          required: true,
          message: "请输入法定代表人",
          trigger: "blur"
        }
      ]
    },
    {
      type: "select",
      label: "产品信息化追溯体系",
      prop: "medicineTraceability",
      labelWidth: "160",
      span: 15,
      hide: true,
      rules: [
        {
          required: true,
          message: "请选择产品信息化追溯体系",
          trigger: "change"
        }
      ],
      dicUrl: "/admin/dict/type/medicine_traceability"
    },
    {
      type: "input",
      label: "追溯体系介绍",
      prop: "medicineTraceabilityOther",
      labelWidth: "160",
      span: 15,
      hide: true
    },
    // {
    //   "type": "input",
    //   "label": "总经理",
    //   "prop": "zjl",
    //   span: 13,
    //   hide:true,
    // },	  {
    //   "type": "input",
    //   "label": "采购部门负责人姓名",
    //   "prop": "cjbmfzrxm",
    //   span: 13,
    //   hide:true,
    // },	  {
    //   "type": "input",
    //   "label": "采购部门负责人联系方式",
    //   "prop": "cjbmfzrlxfs",
    //   span: 13,
    //   hide:true,
    // },	  {
    //   "type": "input",
    //   "label": "采购部门对接人姓名",
    //   "prop": "cgbmdjrxm",
    //   span: 13,
    //   hide:true,
    // },	  {
    //   "type": "input",
    //   "label": "采购部门对接人联系方式",
    //   "prop": "cgbmdjrlxfs",
    //   span: 13,
    //   hide:true,
    // },	  {
    //   "type": "input",
    //   "label": "销售部门负责人姓名",
    //   "prop": "xsbmfzrxm",
    //   span: 13,
    //   hide:true,
    // },	  {
    //   "type": "input",
    //   "label": "销售部门负责人联系方式",
    //   "prop": "xsbmfzrlxfs",
    //   span: 13,
    //   hide:true,
    // },	  {
    //   "type": "input",
    //   "label": "销售部门对接人姓名",
    //   "prop": "xsbmdjrxm",
    //   span: 13,
    //   hide:true,
    // },	  {
    //   "type": "input",
    //   "label": "销售部门对接人联系方式",
    //   "prop": "xsbmdjrlxfs",
    //   span: 13,
    //   hide:true,
    // },
    {
      type: "input",
      label: "公司简介",
      prop: "gsjj",
      labelWidth: "160",
      span: 15,
      hide: true
    },
    {
      type: "input",
      label: "经营优势",
      prop: "jyys",
      labelWidth: "160",
      span: 15,
      hide: true
    },
    {
      type: "input",
      label: "组织机构ID",
      prop: "deptId",
      span: 13,
      hide: true,
      editDisplay: false,
      addDisplay: false
    },
    {
      type: "input",
      label: "是否删除",
      prop: "delFlag",
      hide: true,
      editDisplay: false,
      addDisplay: false,
      value: 0
    },
    {
      type: "input",
      label: "是否禁用",
      prop: "enableFlag",
      hide: true,
      editDisplay: false,
      addDisplay: false,
      value: 0
    },
    {
      type: "input",
      label: "所属租户",
      prop: "tenantId",
      hide: true,
      editDisplay: false,
      addDisplay: false
    },
    {
      type: "input",
      label: "创建时间",
      prop: "createTime",
      hide: true,
      editDisplay: false,
      addDisplay: false
    },
    {
      type: "input",
      label: "创建人",
      prop: "createUser",
      hide: true,
      editDisplay: false,
      addDisplay: false
    },
    {
      type: "input",
      label: "更新时间",
      prop: "updateTime",
      hide: true,
      editDisplay: false,
      addDisplay: false
    },
    {
      type: "input",
      label: "更新人",
      prop: "updateUser",
      hide: true,
      editDisplay: false,
      addDisplay: false
    }
  ]
};

export const tableOptionAudit = {
  border: true,
  index: true,
  indexLabel: "序号",
  stripe: true,
  menuAlign: "center",
  align: "center",
  searchMenuSpan: 6,
  dialogWidth: "40%",
  dialogFullscreen: false,
  dialogEscape: false,
  dialogClickModal: false,
  dialogCloseBtn: false,
  addBtn: false,
  editBtn: false,
  delBtn: false,
  menuPosition: "left",
  column: [
    {
      type: "input",
      label: "",
      prop: "id",
      hide: true,
      editDisplay: false,
      addDisplay: false
    },
    {
      type: "input",
      label: "商业公司名称",
      prop: "gsmc"
    },
    {
      type: "input",
      label: "商业公司地址",
      prop: "provinceTxt",
      span: 13,
      slot: true,
      overHidden: true,
      hide: true
    },
    {
      type: "input",
      label: "省",
      prop: "province",
      span: 13,
      formslot: true,
      slot: true,
      overHidden: true,
      hide: true,
      editDisplay: false,
      addDisplay: false
    },
    {
      type: "input",
      label: "市",
      prop: "city",
      formslot: true,
      slot: true,
      overHidden: true,
      span: 24,
      hide: true,
      editDisplay: false,
      addDisplay: false
    },
    {
      type: "input",
      label: "区",
      prop: "area",
      formslot: true,
      slot: true,
      overHidden: true,
      span: 24,
      hide: true,
      editDisplay: false,
      addDisplay: false
    },
    {
      type: "input",
      label: "地址",
      prop: "address",
      formslot: true,
      span: 20
    },
    {
      type: "input",
      label: "经度",
      prop: "longitude",
      span: 10,
      hide: true
    },
    {
      type: "input",
      label: "纬度",
      prop: "latitude",
      span: 10,
      hide: true
    },
    {
      type: "select",
      label: "公司规模",
      prop: "gsgm",
      span: 13,
      hide: true,
      dicUrl: "/admin/dict/type/bus_gsgm",
      search: true
      // rules: [{
      //   required: true,
      //   message: '公司规模',
      //   trigger: 'blur'
      // }],
    },
    {
      type: "input",
      label: "统一社会信用代码",
      prop: "shyshxydm",
      span: 13,
      hide: true
    },
    {
      type: "input",
      label: "公司注册地",
      prop: "gszcd",
      span: 13,
      hide: true
    },
    {
      type: "input",
      label: "注册资本",
      prop: "zczb",
      span: 13,
      hide: true
    },
    {
      type: "input",
      label: "GSP证书编号",
      prop: "gspzsbh",
      span: 13,
      hide: true
    },
    {
      type: "input",
      label: "法定代表人",
      prop: "frdb",
      span: 13,
      hide: true
    },
    {
      type: "input",
      label: "总经理",
      prop: "zjl",
      span: 13,
      hide: true
    },
    {
      type: "input",
      label: "采购部门负责人姓名",
      prop: "cjbmfzrxm",
      span: 13,
      hide: true
    },
    {
      type: "input",
      label: "采购部门负责人联系方式",
      prop: "cjbmfzrlxfs",
      span: 13,
      hide: true
    },
    {
      type: "input",
      label: "采购部门对接人姓名",
      prop: "cgbmdjrxm",
      span: 13,
      hide: true
    },
    {
      type: "input",
      label: "采购部门对接人联系方式",
      prop: "cgbmdjrlxfs",
      span: 13,
      hide: true
    },
    {
      type: "input",
      label: "销售部门负责人姓名",
      prop: "xsbmfzrxm",
      span: 13,
      hide: true
    },
    {
      type: "input",
      label: "销售部门负责人联系方式",
      prop: "xsbmfzrlxfs",
      span: 13,
      hide: true
    },
    {
      type: "input",
      label: "销售部门对接人姓名",
      prop: "xsbmdjrxm",
      span: 13,
      hide: true
    },
    {
      type: "input",
      label: "销售部门对接人联系方式",
      prop: "xsbmdjrlxfs",
      span: 13,
      hide: true
    },
    {
      type: "input",
      label: "公司简介",
      prop: "gsjj",
      span: 13,
      hide: true
    },
    {
      type: "input",
      label: "经营优势",
      prop: "jyys",
      span: 13,
      hide: true
    },
    {
      type: "input",
      label: "组织机构ID",
      prop: "deptId",
      span: 13,
      hide: true,
      editDisplay: false,
      addDisplay: false
    },
    {
      type: "input",
      label: "是否删除",
      prop: "delFlag",
      hide: true,
      editDisplay: false,
      addDisplay: false,
      value: 0
    },
    {
      type: "input",
      label: "是否禁用",
      prop: "enableFlag",
      hide: true,
      editDisplay: false,
      addDisplay: false,
      value: 0
    },
    {
      type: "input",
      label: "所属租户",
      prop: "tenantId",
      hide: true,
      editDisplay: false,
      addDisplay: false
    },
    {
      type: "input",
      label: "创建时间",
      prop: "createTime",
      hide: true,
      editDisplay: false,
      addDisplay: false
    },
    {
      type: "input",
      label: "创建人",
      prop: "createUser",
      hide: true,
      editDisplay: false,
      addDisplay: false
    },
    {
      type: "input",
      label: "更新时间",
      prop: "updateTime",
      hide: true,
      editDisplay: false,
      addDisplay: false
    },
    {
      type: "input",
      label: "更新人",
      prop: "updateUser",
      hide: true,
      editDisplay: false,
      addDisplay: false
    }
  ]
};
