export const tableOption = {
  border: true,
  index: true,
  indexLabel: "序号",
  stripe: true,
  menuAlign: "center",
  align: "center",
  searchMenuSpan: 6,
  delBtn: false,
  labelWidth: 160,
  addBtn: false, //添加按钮
  editBtn: false, //修改按钮
  column: [
    {
      type: "input",
      label: "",
      prop: "id",
      hide: true,
      editDisplay: false,
      addDisplay: false
    },
    {
      type: "input",
      label: "企业名称",
      prop: "entname",
      span: 24,
      rules: [
        {
          required: true,
          // pattern: /^[\u4e00-\u9fa5a-z]+$/gi,
          message: "请输入企业名称"
          // trigger: 'blur'
        }
      ],
      search: true,
      searchLabelWidth: 80
    },
    {
      type: "input",
      label: "统一社会信用代码",
      prop: "entcode",
      span: 24,
      searchSpan: 8,
      rules: [
        {
          required: true,
          pattern: /^[^_IOZSVa-z\W]{2}\d{6}[^_IOZSVa-z\W]{10}$/g,
          message: "请输入正确的统一社会信用代码",
          trigger: "blur"
        }
      ],
      search: true,
      searchLabelWidth: 160
    },
    {
      label: "权限限制",
      prop: "deptPermissions",
      type: "select",
      span: 24,
      dicUrl: "/admin/dict/type/dept_permission_type",
      multiple: true
    },
    {
      type: "input",
      label: "",
      prop: "temp1",
      hide: true,
      editDisplay: false,
      addDisplay: false
    },
    {
      type: "input",
      label: "",
      prop: "temp2",
      hide: true,
      editDisplay: false,
      addDisplay: false
    },
    {
      type: "input",
      label: "",
      prop: "temp3",
      hide: true,
      editDisplay: false,
      addDisplay: false
    },
    {
      type: "input",
      label: "",
      prop: "temp4",
      hide: true,
      editDisplay: false,
      addDisplay: false
    },
    {
      type: "input",
      label: "组织机构ID",
      prop: "deptId",
      hide: true,
      editDisplay: false,
      addDisplay: false
    },
    {
      type: "input",
      label: "是否删除",
      prop: "delFlag",
      hide: true,
      editDisplay: false,
      addDisplay: false,
      value: 0
    },
    {
      label: "所属区域",
      prop: "areaCodes",
      addDisplay: false,
      editDisplay: false,
      searchSpan: 8,
      hide: true,
      search: true,
      searchslot: true
    },
    {
      label: "状态",
      prop: "enableFlag",
      type: "select",
      span: 24,
      dicUrl: "/admin/dict/type/cro_statu",
      rules: [
        {
          required: true,
          message: "请选择状态",
          trigger: "blur"
        }
      ]
    },
    {
      type: "input",
      label: "所属租户",
      prop: "tenantId",
      hide: true,
      editDisplay: false,
      addDisplay: false
    },
    {
      type: "input",
      label: "创建时间",
      prop: "createTime",
      hide: true,
      editDisplay: false,
      addDisplay: false
    },
    {
      type: "input",
      label: "创建人",
      prop: "createUser",
      hide: true,
      editDisplay: false,
      addDisplay: false
    },
    {
      type: "input",
      label: "最近更新时间",
      prop: "updateTime",
      hide: false,
      editDisplay: false,
      addDisplay: false
    },
    {
      type: "input",
      label: "更新人",
      prop: "updateUser",
      hide: true,
      editDisplay: false,
      addDisplay: false
    }
  ]
};
