export const tableOption = {
  border: true,
  index: true,
  indexLabel: "序号",
  stripe: true,
  menuAlign: "center",
  align: "center",
  searchMenuSpan: 6,
  column: [
    {
      type: "input",
      label: "",
      prop: "id",
      hide: true,
      editDisplay: false,
      addDisplay: false
    },
    {
      type: "input",
      label: "商品名",
      prop: "drugname",
      span: 13,
      search: true,
      rules: [
        {
          required: true,
          message: "请输入商品名"
        },
        {
          min: 1,
          max: 100,
          message: "长度在 1-100 个字符",
          trigger: "blur"
        }
      ]
    },
    {
      type: "input",
      label: "通用名",
      prop: "drugnameTy",
      span: 13,
      search: true,
      rules: [
        {
          required: true,
          message: "请输入通用名"
        },
        {
          min: 1,
          max: 100,
          message: "长度在 1-100 个字符",
          trigger: "blur"
        }
      ]
    },
    {
      type: "input",
      label: "简称",
      prop: "abbr",
      span: 13,
      rules: [
        {
          required: true,
          message: "请输入简称"
        },
        {
          min: 1,
          max: 100,
          message: "长度在 1-100 个字符",
          trigger: "blur"
        }
      ]
    },
    {
      type: "select",
      label: "上市许可持有人",
      prop: "ssxkcyy",
      formslot: true,
      span: 13,
      rules: [
        {
          required: true,
          message: "请选择企业",
          trigger: "blur"
        }
      ]
    },
    {
      type: "select",
      label: "生产企业",
      prop: "drugEntName",
      formslot: true,
      searchslot: true,
      // filterable: true,
      // dicUrl: '/admin/wmdadrugent/list',
      // props: {
      //   label: 'entname',
      //   value: 'id'
      // },
      span: 13,
      search: true,
      rules: [
        {
          required: true,
          message: "请选择企业",
          trigger: "blur"
        }
      ]
    },
    {
      type: "input",
      label: "推广企业统计",
      prop: "drugEntNum",
      slot: true,
      editDisplay: false,
      addDisplay: false,
      span: 13
    },
    {
      label: "是否全国医保",
      prop: "isYb",
      type: "select",
      dicUrl: "/admin/dict/type/yes_or_no",
      span: 13
    },
    {
      label: "剂型",
      prop: "doseName",
      type: "select",
      formslot: true,
      // dicUrl: '/admin/dict/type/dose',
      span: 13,
      rules: [
        {
          required: true,
          message: "请选择剂型",
          trigger: "blur"
        }
      ]
    },
    {
      label: "规格",
      prop: "guigeName",
      type: "select",
      formslot: true,
      // dicUrl: '/admin/dict/type/guige',
      span: 13,
      rules: [
        {
          required: true,
          message: "请选择规格",
          trigger: "blur"
        }
      ]
    },
    {
      label: "原研/仿制",
      prop: "yyfz",
      type: "select",
      dicData: [
        {
          label: "原研",
          value: "0"
        },
        {
          label: "仿制",
          value: "1"
        }
      ],
      span: 13
    },
    {
      type: "input",
      label: "备注",
      prop: "remark",
      span: 13
    },
    {
      type: "input",
      label: "组织机构",
      prop: "deptId",
      hide: true,
      editDisplay: false,
      addDisplay: false
    },
    {
      type: "input",
      label: "是否删除",
      prop: "delFlag",
      hide: true,
      editDisplay: false,
      addDisplay: false,
      value: 0
    },
    {
      type: "input",
      label: "是否禁用",
      prop: "enableFlag",
      // hide:true,
      editDisplay: false,
      addDisplay: false,
      value: 0,
      dicData: [
        {
          label: "启用",
          value: "0"
        },
        {
          label: "禁用",
          value: "1"
        }
      ]
    },
    {
      type: "input",
      label: "所属租户",
      prop: "tenantId",
      hide: true,
      editDisplay: false,
      addDisplay: false
    },
    {
      type: "input",
      label: "创建时间",
      prop: "createTime",
      hide: true,
      editDisplay: false,
      addDisplay: false
    },
    {
      type: "input",
      label: "创建人",
      prop: "createUser",
      hide: true,
      editDisplay: false,
      addDisplay: false
    },
    {
      type: "input",
      label: "更新时间",
      prop: "updateTime",
      hide: true,
      editDisplay: false,
      addDisplay: false
    },
    {
      type: "input",
      label: "更新人",
      prop: "updateUser",
      hide: true,
      editDisplay: false,
      addDisplay: false
    }
  ]
};
