export const tableOption = {
  "border": true,
  "index": true,
  "indexLabel": "序号",
  "stripe": true,
  "menuAlign": "center",
  "align": "center",
  "searchMenuSpan": 6,
  addBtn: false,
  editBtn: false,
  "column": [
	  {
      "type": "input",
      "label": "",
      "prop": "id",
      hide:true,
      editDisplay: false,
      addDisplay: false
    },	  {
      "type": "input",
      "label": "医院名称",
      "prop": "yymc",
      search: true,
      span: 20,
      rules: [{
        required: true,
        message: '请输入医院名称'
      }]

    }, {
      "type": "input",
      "label": "医院城市",
      "prop": "provinceTxt",
      span: 13,
      formslot: true,
      slot: true,
      overHidden: true,
      hide:true,
    },
    {
      "type": "input",
      "label": "省",
      "prop": "province",
      slot: true,
      overHidden: true,
      hide:true,
      editDisplay: false,
      addDisplay: false
    },	  {
      "type": "input",
      "label": "市",
      "prop": "city",
      formslot: true,
      slot: true,
      overHidden: true,
      span: 24,
      hide:true,
      editDisplay: false,
      addDisplay: false
    },	  {
      "type": "input",
      "label": "区",
      "prop": "area",
      formslot: true,
      slot: true,
      overHidden: true,
      span: 24,
      hide:true,
      editDisplay: false,
      addDisplay: false
    },	  {
      "type": "input",
      "label": "地址",
      "prop": "address",
      span: 20,
      // formslot: true,
      overHidden: true,
    },	  {
      "type": "input",
      "label": "经度",
      "prop": "longitude",
      hide:true,
      span: 10,
      rules: [{
        required: true,
        message: '经度不能为空',
        trigger: 'blur'
      }],

    },	  {
      "type": "input",
      "label": "纬度",
      "prop": "latitude",
      hide:true,
      span: 10,
      rules: [{
        required: true,
        message: '纬度不能为空',
        trigger: 'blur'
      }],

    },	  {
      "label": "医院规模",
      "prop": "yygm",
      span: 12,
      type: 'select',
      dicUrl: '/admin/dict/type/hospital_level',
      search: true,
      rules: [{
        required: true,
        message: '医院规模',
        trigger: 'blur'
      }],
    }, {
      "label": "医院性质",
      "prop": "yyxz",
      span: 12,
      type: 'select',
      dicUrl: '/admin/dict/type/hospital_xz',
      search: true,
      rules: [{
        required: true,
        message: '医院性质',
        trigger: 'blur'
      }],
    },
    {
      "type": "input",
      "label": "医院官网",
      "prop": "website",
      span: 12,
      hide:true,
    },


    // {
    //   "type": "input",
    //   "label": "联系总机",
    //   "prop": "lxzj",
    //   span: 13,
    //   hide:true,
    // },	  {
    //   "type": "input",
    //   "label": "公共邮箱",
    //   "prop": "ggyx",
    //   span: 13,
    //   hide:true,
    // },
    // {
    //   "type": "input",
    //   "label": "院长姓名",
    //   "prop": "yzxm",
    //   span: 13,
    //   hide:true,
    // },	  {
    //   "type": "input",
    //   "label": "院长联系方式",
    //   "prop": "yzlxfs",
    //   span: 13,
    //   hide:true,
    // },	  {
    //   "type": "input",
    //   "label": "副院长姓名",
    //   "prop": "fyzxm",
    //   span: 13,
    //   hide:true,
    // },	  {
    //   "type": "input",
    //   "label": "副院长联系方式",
    //   "prop": "fyzlxfs",
    //   span: 13,
    //   hide:true,
    // },	  {
    //   "type": "input",
    //   "label": "医务处处长姓名",
    //   "prop": "ywcczxm",
    //   span: 13,
    //   hide:true,
    // },	  {
    //   "type": "input",
    //   "label": "医务处处长联系方式",
    //   "prop": "ywcczlxfs",
    //   span: 13,
    //   hide:true,
    // },	  {
    //   "type": "input",
    //   "label": "教务处处长姓名",
    //   "prop": "jwcczxm",
    //   span: 13,
    //   hide:true,
    //   editDisplay: false,
    //   addDisplay: false
    // },	  {
    //   "type": "input",
    //   "label": "教务处处长联系方式",
    //   "prop": "jwcczlxfs",
    //   span: 13,
    //   hide:true,
    //   editDisplay: false,
    //   addDisplay: false
    // },	  {
    //   "type": "input",
    //   "label": "药剂科主任姓名",
    //   "prop": "yjkzrxm",
    //   span: 13,
    //   hide:true,
    // },	  {
    //   "type": "input",
    //   "label": "药剂科主任联系方式",
    //   "prop": "yjkzrlsfs",
    //   span: 13,
    //   hide:true,
    // },

    {
      "label": "院病床总数（张）",
      "prop": "ybczs",
      type: 'select',
      dicUrl: '/admin/dict/type/hospital_cw',
      span: 12,
      hide:true,
    }
    // ,
    // {
    //   "type": "select",
    //   "label": "主流供货商",
    //   "prop": "zlghsy",
    //   span: 13,
    //   hide:true,
    //   dicUrl: '/admin/wmdadistribution/listDistributionByName',
    //   props: {
    //     label: 'gsmc',
    //     value: 'id'
    //   },
    // }
    ,
    {
      "label": "普什品种是否入院",
      "prop": "pspzsfry",
      type: 'select',
      hide:true,
      dicUrl: '/admin/dict/type/yes_or_no',
      span: 13,
      rules: [{
        required: true,
        message: '普什品种是否入院',
        trigger: 'blur'
      }],
      editDisplay: false,
      addDisplay: false
    }
    // ,	  {
    //   "type": "select",
    //   "label": "普什品种配送商业",
    //   "prop": "pspzpssy",
    //   span: 13,
    //   hide:true,
    //   dicUrl: '/admin/wmdadistribution/listDistributionByName',
    //   props: {
    //     label: 'gsmc',
    //     value: 'id'
    //   },
    //   editDisplay: false,
    //   addDisplay: false
    // }
    ,	  {
      "type": "input",
      "label": "组织机构ID",
      "prop": "deptId",
      hide:true,
      editDisplay: false,
      addDisplay: false
    },	  {
      "type": "input",
      "label": "是否删除",
      "prop": "delFlag",
      hide:true,
      editDisplay: false,
      addDisplay: false
    },	  {
      "type": "input",
      "label": "是否禁用",
      "prop": "enableFlag",
      hide:true,
      editDisplay: false,
      addDisplay: false
    },	  {
      "type": "input",
      "label": "所属租户",
      "prop": "tenantId",
      hide:true,
      editDisplay: false,
      addDisplay: false
    },	  {
      "type": "input",
      "label": "创建时间",
      "prop": "createTime",
      editDisplay: false,
      addDisplay: false
    },	  {
      "type": "input",
      "label": "创建人",
      "prop": "createUser",
      hide:true,
      editDisplay: false,
      addDisplay: false
    },
    {
      "type": "input",
      "label": "更新时间",
      "prop": "updateTime",
      hide:true,
      editDisplay: false,
      addDisplay: false
    },
    {
      "type": "input",
      "label": "更新人",
      "prop": "updateUser",
      hide:true,
      editDisplay: false,
      addDisplay: false
    }
    ]
}


export const tableOptionAudit = {
  "border": true,
  "index": true,
  "indexLabel": "序号",
  "stripe": true,
  "menuAlign": "center",
  "align": "center",
  "searchMenuSpan": 6,
  dialogFullscreen:false,
  dialogEscape:false,
  dialogClickModal:false,
  dialogCloseBtn:false,
  dialogWidth:"40%",
  addBtn:false,
  editBtn:false,
  delBtn:false,
  menuPosition:'left',
  "column": [
    {
      "type": "input",
      "label": "",
      "prop": "id",
      hide:true,
      editDisplay: false,
      addDisplay: false
    },	  {
      "type": "input",
      "label": "医院名称",
      "prop": "yymc",
      span: 20,

    }, {
      "type": "input",
      "label": "医院城市",
      "prop": "provinceTxt",
      span: 13,
      // formslot: true,
      slot: true,
      overHidden: true,
      hide:true,
    },
    {
      "type": "input",
      "label": "省",
      "prop": "province",
      slot: true,
      overHidden: true,
      hide:true,
      editDisplay: false,
      addDisplay: false
    },	  {
      "type": "input",
      "label": "市",
      "prop": "city",
      formslot: true,
      slot: true,
      overHidden: true,
      span: 24,
      hide:true,
      editDisplay: false,
      addDisplay: false
    },	  {
      "type": "input",
      "label": "区",
      "prop": "area",
      formslot: true,
      slot: true,
      overHidden: true,
      span: 24,
      hide:true,
      editDisplay: false,
      addDisplay: false
    },	  {
      "type": "input",
      "label": "地址",
      "prop": "address",
      span: 20,
      formslot: true,
      overHidden: true,
    },	  {
      "type": "input",
      "label": "经度",
      "prop": "longitude",
      hide:true,
      span: 10,
    },	  {
      "type": "input",
      "label": "纬度",
      "prop": "latitude",
      hide:true,
      span: 10,

    },	  {
      "label": "医院规模",
      "prop": "yygm",
      span: 13,
      type: 'select',
      dicUrl: '/admin/dict/type/hospital_level',
      search: true,
      rules: [{
        required: true,
        message: '医院规模',
        trigger: 'blur'
      }],
    }, {
      "label": "医院性质",
      "prop": "yyxz",
      span: 13,
      type: 'select',
      dicUrl: '/admin/dict/type/hospital_xz',
      search: true,
      rules: [{
        required: true,
        message: '医院性质',
        trigger: 'blur'
      }],
    },
    {
      "type": "input",
      "label": "联系总机",
      "prop": "lxzj",
      span: 13,
      hide:true,
    },	  {
      "type": "input",
      "label": "公共邮箱",
      "prop": "ggyx",
      span: 13,
      hide:true,
    },	  {
      "type": "input",
      "label": "院长姓名",
      "prop": "yzxm",
      span: 13,
      hide:true,
    },	  {
      "type": "input",
      "label": "院长联系方式",
      "prop": "yzlxfs",
      span: 13,
      hide:true,
    },	  {
      "type": "input",
      "label": "副院长姓名",
      "prop": "fyzxm",
      span: 13,
      hide:true,
    },	  {
      "type": "input",
      "label": "副院长联系方式",
      "prop": "fyzlxfs",
      span: 13,
      hide:true,
    },	  {
      "type": "input",
      "label": "医务处处长姓名",
      "prop": "ywcczxm",
      span: 13,
      hide:true,
    },	  {
      "type": "input",
      "label": "医务处处长联系方式",
      "prop": "ywcczlxfs",
      span: 13,
      hide:true,
    },	  {
      "type": "input",
      "label": "教务处处长姓名",
      "prop": "jwcczxm",
      span: 13,
      hide:true,
      editDisplay: false,
      addDisplay: false
    },	  {
      "type": "input",
      "label": "教务处处长联系方式",
      "prop": "jwcczlxfs",
      span: 13,
      hide:true,
      editDisplay: false,
      addDisplay: false
    },	  {
      "type": "input",
      "label": "药剂科主任姓名",
      "prop": "yjkzrxm",
      span: 13,
      hide:true,
    },	  {
      "type": "input",
      "label": "药剂科主任联系方式",
      "prop": "yjkzrlsfs",
      span: 13,
      hide:true,
    },	  {
      "type": "input",
      "label": "院病床总数（张）",
      "prop": "ybczs",
      span: 13,
      hide:true,
    },
    // {
    //   "type": "select",
    //   "label": "主流供货商",
    //   "prop": "zlghsy",
    //   span: 13,
    //   hide:true,
    //   dicUrl: '/admin/wmdadistribution/listDistributionByName',
    //   props: {
    //     label: 'gsmc',
    //     value: 'id'
    //   },
    // },
    {
      "label": "普什品种是否入院",
      "prop": "pspzsfry",
      type: 'select',
      hide:true,
      dicUrl: '/admin/dict/type/yes_or_no',
      span: 13,
      rules: [{
        required: true,
        message: '普什品种是否入院',
        trigger: 'blur'
      }],
      editDisplay: false,
      addDisplay: false
    },
    // {
    //   "type": "select",
    //   "label": "普什品种配送商业",
    //   "prop": "pspzpssy",
    //   span: 13,
    //   hide:true,
    //   dicUrl: '/admin/wmdadistribution/listDistributionByName',
    //   props: {
    //     label: 'gsmc',
    //     value: 'id'
    //   },
    //   editDisplay: false,
    //   addDisplay: false
    // },
    {
      "type": "input",
      "label": "组织机构ID",
      "prop": "deptId",
      hide:true,
      editDisplay: false,
      addDisplay: false
    },	  {
      "type": "input",
      "label": "是否删除",
      "prop": "delFlag",
      hide:true,
      editDisplay: false,
      addDisplay: false
    },	  {
      "type": "input",
      "label": "是否禁用",
      "prop": "enableFlag",
      hide:true,
      editDisplay: false,
      addDisplay: false
    },	  {
      "type": "input",
      "label": "所属租户",
      "prop": "tenantId",
      hide:true,
      editDisplay: false,
      addDisplay: false
    },	  {
      "type": "input",
      "label": "创建时间",
      "prop": "createTime",
      editDisplay: false,
      addDisplay: false
    },	  {
      "type": "input",
      "label": "创建人",
      "prop": "createUser",
      hide:true,
      editDisplay: false,
      addDisplay: false
    },	  {
      "type": "input",
      "label": "更新时间",
      "prop": "updateTime",
      hide:true,
      editDisplay: false,
      addDisplay: false
    },	  {
      "type": "input",
      "label": "更新人",
      "prop": "updateUser",
      hide:true,
      editDisplay: false,
      addDisplay: false
    }  ]
}
