export const tableOptionZb = {
  "border": true,
  "index": true,
  "indexLabel": "序号",
  "stripe": true,
  "menuAlign": "center",
  "align": "center",
  "searchMenuSpan": 6,
  viewBtn:true,
  // editBtn:true,
  // addBtn:true,
  "column": [
    {
      "type": "input",
      "label": "",
      "prop": "id",
      hide:true,
      editDisplay: false,
      addDisplay: false,
      viewDisplay: false,
    },
    {
      "type": "input",
      "label": "项目ID",
      "prop": "projectId",
      search:true,
      span: 13,
      rules: [{
        required: true,
        message: '请输入项目ID'
      }]
    },
    {
      "type": "input",
      "label": "项目名称",
      "prop": "projectName",
      search:true,
      span: 13,
      rules: [{
        required: true,
        message: '请输入项目名称'
      }]
    },

    {
      "type": "input",
      "label": "项目甲方",
      "prop": "partya",
      search:true,
      span: 13,
      rules: [{
        required: true,
        message: '请输入项目甲方'
      }]
    },
    {
      "type": "input",
      "label": "项目乙方",
      "prop": "partyb",
      search:false,
      span: 13,
      rules: [{
        required: true,
        message: '请输入项目乙方'
      }]
    },
    {
      label: "签订日期",
      prop: "signData",
      type: 'datetime',
      span: 13,
      format: 'yyyy-MM-dd',
      valueFormat: 'yyyy-MM-dd HH:mm:ss',
      // rules: [{
      //   required: true,
      //   message: '请输入签订日期'
      // }]
    },
    {
      label: "有效期截止",
      prop: "expirationDate",
      type: 'datetime',
      span: 13,
      format: 'yyyy-MM-dd',
      valueFormat: 'yyyy-MM-dd HH:mm:ss',
      // rules: [{
      //   required: true,
      //   message: '请输入截止时间'
      // }]
    },
    {
      type: 'select',
      "label": "项目状态",
      "prop": "status",
      search:true,
      dicData: [
        {
          label: "进行中",
          value: 2,
        },
        {
          label: "已完成",
          value: 1,
        },

      ],
      hide:false,
      span: 13,
      rules: [{
        required: true,
        message: '请输入项目状态'
      }]
    },
    {
      "label": "合同附件",
      hide: true,
      prop: 'contractFile',
      type: 'upload',
      action: "/admin/sys-file/upload",
      propsHttp: {
        res: 'data'
      },
      listType: 'file',
      dataType: 'string',
      rules: [{
        required: true,
        message: '请上传合同附件'
      }]
    },
    {
      "type": "input",
      "label": "客户维护",
      "prop": "customerCare",
      search:true,
      span: 13,
      rules: [{
        required: true,
        message: '请输入客户维护'
      }]
    },
    {
      "type": "input",
      "label": "说明",
      "prop": "remark",
      search:false,
      span: 20,
    },]
}



