import store from "@/store";
const deptId = store.getters.userInfo.deptId
export const tableOption = {
  "border": true,
  "index": true,
  "indexLabel": "序号",
  "stripe": true,
  "menuAlign": "center",
  "align": "center",
  "searchMenuSpan": 6,
  selection: true,
  selectable:(row,index)=>{
    return row.status === '1'
  },
  editBtn:false,
  delBtn:false,
  addBtn:false,
  "column": [
	  {
      "type": "input",
      "label": "",
      "prop": "id",
      hide:true,
      editDisplay: false,
      addDisplay: false,
    }, {
      // "type": "select",
      "label": "专员名称",
      "prop": "userId",
      // searchFilterable: true,
      dicUrl: `/admin/user/listNoScopeAll?deptId=${deptId}`,
      // search: true,
      props: {
        label: 'realname',
        value: 'id'
      }
    }, {
      "type": "select",
      "label": "专员名称",
      "prop": "userRealName",
      searchFilterable: true,
      dicUrl: `/admin/user/listNoScopeAll?deptId=${deptId}`,
      search: true,
      hide: true,
      props: {
        label: 'realname',
        value: 'realname'
      }
    },
    {
      "type": "input",
      "label": "手机号",
      "prop": "phone",
      search: true
    }, {
      "type": "select",
      "label": "积分包名称",
      "prop": "scorePackageName",
      span: 13,
      searchFilterable: true,
      dicUrl: `/admin/wmscorepackage/listNoDel?deptId=${deptId}`,
      search: true,
      props: {
        label: 'scoreName',
        value: 'scoreName'
      },
      slot: true
    },
    {
      "label": "积分包状态",
      "prop": "status",
      type: 'select',
      dicUrl: '/admin/dict/type/package_status',
      rules: [{
      required: true,
      message: '任务大类',
      trigger: 'blur'
    }],
      search: true
    }
    ,{
      "type": "input",
      "label": "发包组织",
      "prop": "deptId",
      dicUrl: '/admin/dept/list',
      props: {
        label: 'name',
        value: 'dept_id'
      },
    },	  {
      "type": "input",
      "label": "是否删除",
      "prop": "delFlag",
      hide:true,
      editDisplay: false,
      addDisplay: false,
    },	  {
      "type": "input",
      "label": "是否禁用",
      "prop": "enableFlag",
      hide:true,
      editDisplay: false,
      addDisplay: false,
    },	  {
      "type": "input",
      "label": "所属租户",
      "prop": "tenantId",
      hide:true,
      editDisplay: false,
      addDisplay: false,
    },	  {
      "type": "input",
      "label": "提交审核时间",
      "prop": "createTime"
    },
    {
      "type": "input",
      "label": "测评结果",
      "prop": "quizResult",
      slot: true,
      width: 90
    },
    {
      "type": "input",
      "label": "创建人",
      "prop": "createUser",
      hide:true,
      editDisplay: false,
      addDisplay: false,
    },	  {
      "type": "input",
      "label": "更新时间",
      "prop": "updateTime"
      ,
      hide:true,
      editDisplay: false,
      addDisplay: false,
    },	  {
      "type": "input",
      "label": "更新人",
      "prop": "updateUser"
      ,
      hide:true,
      editDisplay: false,
      addDisplay: false,
    }  ]
}
