export const tableOption = {
  "border": true,
  "index": true,
  "indexLabel": "序号",
  "stripe": true,
  "menuAlign": "center",
  "align": "center",
  "searchMenuSpan": 6,
  "column": [
    {
      "type": "input",
      "label": "",
      "prop": "id",
      hide: true,
      editDisplay: false,
      addDisplay: false,
    }, {
      "type": "select",
      "label": "任务类型",
      "prop": "taskTypeId",
      span: 13,
      dicUrl: '/admin/wmtasktype/list',
      search: true,
      props: {
        label: 'taskTypeName',
        value: 'id'
      },
      rules: [{
        required: true,
        message: '任务类型',
        trigger: 'blur'
      }],
    }, {
      "type": "select",
      "label": "积分包",
      "prop": "scorePackageId",
      span: 13,
      dicUrl: '/admin/wmscorepackage/list',
      search: true,
      props: {
        label: 'scoreName',
        value: 'id'
      },
    }, {
      "type": "select",
      "label": "任务规则",
      "prop": "taskRuleId",
      span: 13,
      dicUrl: '/admin/wmtaskrule/list',
      props: {
        label: 'ruleMonth',
        value: 'id'
      },
    }, {
      "type": "input",
      "label": "任务得分",
      "prop": "score",
      span: 13,
    }, {
      "label": "调研时间",
      "prop": "lookintoDate",
      span: 13,
      type: 'datetime',
      format: 'yyyy-MM-dd HH:mm:ss',
      valueFormat: 'yyyy-MM-dd HH:mm:ss',

    }, {
      "type": "input",
      "label": "医院城市",
      "prop": "provinceTxt",
      span: 13,
      formslot: true,
      slot: true,
      overHidden: true,
      hide: true,
    },
    {
      "type": "input",
      "label": "省",
      "prop": "province",
      slot: true,
      overHidden: true,
      hide: true,
      editDisplay: false,
      addDisplay: false
    }, {
      "type": "input",
      "label": "市",
      "prop": "city",
      formslot: true,
      slot: true,
      overHidden: true,
      span: 24,
      hide: true,
      editDisplay: false,
      addDisplay: false
    }, {
      "type": "input",
      "label": "区",
      "prop": "area",
      formslot: true,
      slot: true,
      overHidden: true,
      span: 24,
      hide: true,
      editDisplay: false,
      addDisplay: false
    }, {
      "type": "input",
      "label": "地址",
      "prop": "address",
      span: 20,
      formslot: true,
      overHidden: true,
    }, {
      "label": "调研类型",
      "prop": "lookintoTypeId",
      span: 13,
      type: 'select',
      dicUrl: '/admin/dict/type/diaoyan_type',
    }, {
      "type": "select",
      "label": "任务内容ID",
      "prop": "taskContentId",
      span: 13,
      dicUrl: '/admin/wmtaskcontent/list',
      search: true,
      props: {
        label: 'address',
        value: 'id'
      },
      rules: [{
        required: true,
        message: '反馈意见用户',
        trigger: 'blur'
      }],

    }, {
      "label": "任务状态",
      "prop": "taskStatus",
      span: 13,
      type: 'select',
      dicUrl: '/admin/dict/type/task_status',
      search: true,

    }, {
      "type": "input",
      "label": "组织机构ID",
      "prop": "deptId",
      hide: true,
      editDisplay: false,
      addDisplay: false,
    }, {
      "type": "input",
      "label": "是否删除",
      "prop": "delFlag",
      hide: true,
      editDisplay: false,
      addDisplay: false,
      value: 0
    }, {
      "type": "input",
      "label": "是否禁用",
      "prop": "enableFlag",
      hide: true,
      editDisplay: false,
      addDisplay: false,
      value: 0
    }, {
      "type": "input",
      "label": "所属租户",
      "prop": "tenantId",
      hide: true,
      editDisplay: false,
      addDisplay: false,
    }, {
      "type": "input",
      "label": "创建时间",
      "prop": "createTime",
      hide: true,
      editDisplay: false,
      addDisplay: false,
    }, {
      "type": "input",
      "label": "创建人",
      "prop": "createUser",
      hide: true,
      editDisplay: false,
      addDisplay: false,
    }, {
      "type": "input",
      "label": "更新时间",
      "prop": "updateTime",
      hide: true,
      editDisplay: false,
      addDisplay: false,
    }, {
      "type": "input",
      "label": "更新人",
      "prop": "updateUser",
      hide: true,
      editDisplay: false,
      addDisplay: false,
    }]
}


export const tableOptionT_JXS = {
  "border": true,
  "index": true,
  "indexLabel": "序号",
  "stripe": true,
  "menuAlign": "center",
  "align": "center",
  "searchMenuSpan": 6,
  editBtn: false,
  delBtn: false,
  addBtn: false,
  "column": [
    {
      "type": "input",
      "label": "",
      "prop": "id",
      hide: true,
      editDisplay: false,
      addDisplay: false,
    }, {
      "type": "select",
      "label": "任务类型",
      "prop": "taskTypeId",
      span: 13,
      dicUrl: '/admin/wmtasktype/list',
      search: true,
      props: {
        label: 'taskTypeName',
        value: 'id'
      },
      rules: [{
        required: true,
        message: '任务类型',
        trigger: 'blur'
      }],
    }, {
      "type": "input",
      "label": "任务得分",
      "prop": "score",
      span: 13,
    },
    // {
    //   "type": "select",
    //   "label": "积分包ID",
    //   "prop": "scorePackageId",
    //   span: 13,
    //   dicUrl: '/admin/wmscorepackage/list',
    //   props: {
    //     label: 'scoreId',
    //     value: 'id'
    //   },
    //   search:true,
    //   rules: [{
    //     required: true,
    //     message: '积分包ID',
    //     trigger: 'blur'
    //   }],
    // },
    {
      "type": "input",
      "label": "积分包ID",
      "prop": "scorePackageDrugId",
      span: 13,
      dicUrl: '/admin/wmscorepackage/list',
      props: {
        label: 'scoreId',
        value: 'id'
      },
      search: true,
      rules: [{
        required: true,
        message: '积分包ID',
        trigger: 'blur'
      }],
    },
    {
      "type": "input",
      "label": "提交人姓名",
      "prop": "taskUserId",
      dicUrl: '/admin/user/listNoScope',
      search: true,
      props: {
        label: 'realname',
        value: 'id'
      },
      rules: [{
        required: true,
        message: '提交人姓名',
        trigger: 'blur'
      }],
    },

    {
      "type": "select",
      "label": "所属组织",
      "prop": "deptId",
      search: true,
      dicUrl: '/admin/dept/listScope',
      props: {
        label: 'name',
        value: 'dept_id'
      },
    },

    {
      "type": "select",
      "label": "服务企业",
      "prop": "drugEntId",
      dicUrl: '/admin/wmdadrugent/listBySel',
      props: {
        label: 'entname',
        value: 'id'
      },
      span: 13,
      rules: [{
        required: true,
        message: '请选择企业',
        trigger: 'blur'
      }],
    },
    {
      "label": "完成时间",
      "prop": "lookintoDate",
      span: 13,
      type: 'datetime',
      format: 'yyyy-MM-dd HH:mm:ss',
      valueFormat: 'yyyy-MM-dd HH:mm:ss',

    },
    {
      "label": "提交状态",
      "prop": "submitStatus",
      span: 13,
      type: 'select',
      dicUrl: '/admin/dict/type/taskSubmitStatus',
      search: true,

    },
    {
      "label": "审核状态",
      "prop": "platAuditStatus",
      span: 13,
      type: 'select',
      dicUrl: '/admin/dict/type/audit_status',
      search: true,

    },

    // {
    //   "type": "select",
    //   "label": "医药代表ID",
    //   "prop": "userId",
    //   span: 13,
    //   dicUrl: '/admin/user/list',
    //   search: true,
    //   props: {
    //     label: 'realname',
    //     value: 'id'
    //   },
    // }
    // ,
    {
      "type": "select",
      "label": "任务规则",
      "prop": "taskRuleId",
      span: 13,
      dicUrl: '/admin/wmtaskrule/list',
      props: {
        label: 'ruleMonth',
        value: 'id'
      },
      hide: true,
      editDisplay: false,
      addDisplay: false
    }, {
      "type": "input",
      "label": "医院城市",
      "prop": "provinceTxt",
      span: 13,
      formslot: true,
      slot: true,
      overHidden: true,
      hide: true,
    },
    {
      "type": "input",
      "label": "省",
      "prop": "province",
      slot: true,
      overHidden: true,
      hide: true,
      editDisplay: false,
      addDisplay: false
    }, {
      "type": "input",
      "label": "市",
      "prop": "city",
      formslot: true,
      slot: true,
      overHidden: true,
      span: 24,
      hide: true,
      editDisplay: false,
      addDisplay: false
    }, {
      "type": "input",
      "label": "区",
      "prop": "area",
      formslot: true,
      slot: true,
      overHidden: true,
      span: 24,
      hide: true,
      editDisplay: false,
      addDisplay: false
    }, {
      "type": "input",
      "label": "地址",
      "prop": "address",
      span: 20,
      formslot: true,
      overHidden: true,
      hide: true,
      editDisplay: false,
      addDisplay: false
    }, {
      "label": "调研类型",
      "prop": "lookintoTypeId",
      span: 13,
      type: 'select',
      dicUrl: '/admin/dict/type/diaoyan_type',
      hide: true,
      editDisplay: false,
      addDisplay: false
    }, {
      "type": "select",
      "label": "任务内容ID",
      "prop": "taskContentId",
      span: 13,
      dicUrl: '/admin/wmtaskcontent/list',
      hide: true,
      editDisplay: false,
      addDisplay: false,
      props: {
        label: 'address',
        value: 'id'
      },
      rules: [{
        required: true,
        message: '反馈意见用户',
        trigger: 'blur'
      }],

    }, {
      "type": "input",
      "label": "是否删除",
      "prop": "delFlag",
      hide: true,
      editDisplay: false,
      addDisplay: false,
      value: 0
    }, {
      "type": "input",
      "label": "是否禁用",
      "prop": "enableFlag",
      hide: true,
      editDisplay: false,
      addDisplay: false,
      value: 0
    }, {
      "type": "input",
      "label": "所属租户",
      "prop": "tenantId",
      hide: true,
      editDisplay: false,
      addDisplay: false,
    }, {
      "label": "完成时间",
      "prop": "createTime",
      search: true,
      hide: true,
      editDisplay: false,
      addDisplay: false,
      type: 'datetime',
      format: 'yyyy-MM-dd HH:mm:ss',
      valueFormat: 'yyyy-MM-dd HH:mm:ss',
    }, {
      "type": "input",
      "label": "创建人",
      "prop": "createUser",
      hide: true,
      editDisplay: false,
      addDisplay: false,
    }, {
      type: 'datetime',
      format: 'yyyy-MM-dd HH:mm:ss',
      valueFormat: 'yyyy-MM-dd HH:mm:ss',
      "label": "   至    ",
      "prop": "updateTime",
      search: true,
      hide: true,
      editDisplay: false,
      addDisplay: false,
    }, {
      "type": "input",
      "label": "更新人",
      "prop": "updateUser",
      hide: true,
      editDisplay: false,
      addDisplay: false,
    }]
}

export const tableOptionT_YQ = {
  "border": true,
  "index": true,
  "indexLabel": "序号",
  "stripe": true,
  "menuAlign": "center",
  "align": "center",
  "searchMenuSpan": 6,
  editBtn: false,
  delBtn: false,
  addBtn: false,
  "column": [
    {
      "type": "input",
      "label": "",
      "prop": "id",
      hide: true,
      editDisplay: false,
      addDisplay: false,
    }, {
      "type": "select",
      "label": "任务类型",
      "prop": "taskTypeId",
      span: 13,
      dicUrl: '/admin/wmtasktype/list',
      search: true,
      props: {
        label: 'taskTypeName',
        value: 'id'
      },
      rules: [{
        required: true,
        message: '任务类型',
        trigger: 'blur'
      }],
    }, {
      "type": "input",
      "label": "任务得分",
      "prop": "score",
      span: 13,
    },
    // {
    //   "type": "select",
    //   "label": "积分包ID",
    //   "prop": "scorePackageId",
    //   span: 13,
    //   dicUrl: '/admin/wmscorepackage/list',
    //   props: {
    //     label: 'scoreId',
    //     value: 'id'
    //   },
    //   search:true,
    //   rules: [{
    //     required: true,
    //     message: '积分包ID',
    //     trigger: 'blur'
    //   }],
    // },
    {
      "type": "input",
      "label": "积分包ID",
      "prop": "scorePackageDrugId",
      span: 13,
      dicUrl: '/admin/wmscorepackage/list',
      props: {
        label: 'scoreId',
        value: 'id'
      },
      search: true,
      rules: [{
        required: true,
        message: '积分包ID',
        trigger: 'blur'
      }],
    },
    {
      "type": "input",
      "label": "提交人姓名",
      "prop": "taskUserId",
      dicUrl: '/admin/user/listNoScope',
      search: true,
      props: {
        label: 'realname',
        value: 'id'
      },
      rules: [{
        required: true,
        message: '提交人姓名',
        trigger: 'blur'
      }],
    },

    {
      "type": "select",
      "label": "所属组织",
      "prop": "deptId",
      dicUrl: '/admin/dept/listScope',
      search: true,
      props: {
        label: 'name',
        value: 'dept_id'
      },
    },

    {
      "type": "select",
      "label": "服务企业",
      "prop": "drugEntId",
      dicUrl: '/admin/wmdadrugent/listBySel',
      props: {
        label: 'entname',
        value: 'id'
      },
      span: 13,
      rules: [{
        required: true,
        message: '请选择企业',
        trigger: 'blur'
      }],
    },
    {
      "label": "完成时间",
      "prop": "lookintoDate",
      span: 13,
      type: 'datetime',
      format: 'yyyy-MM-dd HH:mm:ss',
      valueFormat: 'yyyy-MM-dd HH:mm:ss',

    },
    {
      "label": "提交状态",
      "prop": "submitStatus",
      span: 13,
      type: 'select',
      dicUrl: '/admin/dict/type/taskSubmitStatus',

    },
    {
      "label": "审核状态",
      "prop": "platAuditStatus",
      span: 13,
      type: 'select',
      dicUrl: '/admin/dict/type/audit_status',
      search: true,

    },

    // {
    //   "type": "select",
    //   "label": "医药代表ID",
    //   "prop": "userId",
    //   span: 13,
    //   dicUrl: '/admin/user/list',
    //   search: true,
    //   props: {
    //     label: 'realname',
    //     value: 'id'
    //   },
    // }
    // ,
    {
      "type": "select",
      "label": "任务规则",
      "prop": "taskRuleId",
      span: 13,
      dicUrl: '/admin/wmtaskrule/list',
      props: {
        label: 'ruleMonth',
        value: 'id'
      },
      hide: true,
      editDisplay: false,
      addDisplay: false
    }, {
      "type": "input",
      "label": "医院城市",
      "prop": "provinceTxt",
      span: 13,
      formslot: true,
      slot: true,
      overHidden: true,
      hide: true,
    },
    {
      "type": "input",
      "label": "省",
      "prop": "province",
      slot: true,
      overHidden: true,
      hide: true,
      editDisplay: false,
      addDisplay: false
    }, {
      "type": "input",
      "label": "市",
      "prop": "city",
      formslot: true,
      slot: true,
      overHidden: true,
      span: 24,
      hide: true,
      editDisplay: false,
      addDisplay: false
    }, {
      "type": "input",
      "label": "区",
      "prop": "area",
      formslot: true,
      slot: true,
      overHidden: true,
      span: 24,
      hide: true,
      editDisplay: false,
      addDisplay: false
    }, {
      "type": "input",
      "label": "地址",
      "prop": "address",
      span: 20,
      formslot: true,
      overHidden: true,
      hide: true,
      editDisplay: false,
      addDisplay: false
    }, {
      "label": "调研类型",
      "prop": "lookintoTypeId",
      span: 13,
      type: 'select',
      dicUrl: '/admin/dict/type/diaoyan_type',
      hide: true,
      editDisplay: false,
      addDisplay: false
    }, {
      "type": "select",
      "label": "任务内容ID",
      "prop": "taskContentId",
      span: 13,
      dicUrl: '/admin/wmtaskcontent/list',
      hide: true,
      editDisplay: false,
      addDisplay: false,
      props: {
        label: 'address',
        value: 'id'
      },
      rules: [{
        required: true,
        message: '反馈意见用户',
        trigger: 'blur'
      }],

    }, {
      "type": "input",
      "label": "是否删除",
      "prop": "delFlag",
      hide: true,
      editDisplay: false,
      addDisplay: false,
      value: 0
    }, {
      "type": "input",
      "label": "是否禁用",
      "prop": "enableFlag",
      hide: true,
      editDisplay: false,
      addDisplay: false,
      value: 0
    }, {
      "type": "input",
      "label": "所属租户",
      "prop": "tenantId",
      hide: true,
      editDisplay: false,
      addDisplay: false,
    }, {
      "label": "完成时间",
      "prop": "createTime",
      search: true,
      hide: true,
      editDisplay: false,
      addDisplay: false,
      type: 'datetime',
      format: 'yyyy-MM-dd HH:mm:ss',
      valueFormat: 'yyyy-MM-dd HH:mm:ss',
    }, {
      "type": "input",
      "label": "创建人",
      "prop": "createUser",
      hide: true,
      editDisplay: false,
      addDisplay: false,
    }, {
      type: 'datetime',
      format: 'yyyy-MM-dd HH:mm:ss',
      valueFormat: 'yyyy-MM-dd HH:mm:ss',
      "label": "   至    ",
      "prop": "updateTime",
      search: true,
      hide: true,
      editDisplay: false,
      addDisplay: false,
    }, {
      "type": "input",
      "label": "更新人",
      "prop": "updateUser",
      hide: true,
      editDisplay: false,
      addDisplay: false,
    }]
}

export const tableOptionYQ = {
  "border": true,
  "index": true,
  "indexLabel": "序号",
  "stripe": true,
  "menuAlign": "center",
  "align": "center",
  "searchMenuSpan": 6,
  editBtn: false,
  delBtn: false,
  addBtn: false,
  selection: true,
  "column": [
    {
      "type": "input",
      "label": "",
      "prop": "id",
      hide: true,
      editDisplay: false,
      addDisplay: false,
    }, {
      "type": "select",
      "label": "任务类型",
      "prop": "taskTypeId",
      span: 13,
      dicUrl: '/admin/wmtasktype/list',
      props: {
        label: 'taskTypeName',
        value: 'id'
      },
      rules: [{
        required: true,
        message: '任务类型',
        trigger: 'blur'
      }],
    }, {
      "type": "input",
      "label": "任务得分",
      "prop": "score",
      span: 13,
    },
    {
      "type": "select",
      "label": "积分包ID",
      "prop": "scorePackageDrugId",
      span: 13,
      dicUrl: '/admin/wmscorepackage/list',
      props: {
        label: 'scoreId',
        value: 'id'
      },
      rules: [{
        required: true,
        message: '积分包ID',
        trigger: 'blur'
      }],
    },
    {
      "type": "select",
      "label": "积分包ID",
      "prop": "scorePackageId",
      span: 13,
      dicUrl: '/admin/wmscorepackage/list',
      props: {
        label: 'scoreId',
        value: 'id'
      },
      hide: true,
      editDisplay: false,
      addDisplay: false,
      rules: [{
        required: true,
        message: '积分包ID',
        trigger: 'blur'
      }],
    },
    {
      "type": "select",
      "label": "姓名",
      "prop": "taskUserId",
      dicUrl: '/admin/user/list',
      props: {
        label: 'realname',
        value: 'id'
      },
      rules: [{
        required: true,
        message: '姓名',
        trigger: 'blur'
      }],
    },

    {
      "type": "input",
      "label": "所属组织",
      "prop": "deptId",
      dicUrl: '/admin/dept/list',
      props: {
        label: 'name',
        value: 'dept_id'
      },
    },

    {
      "type": "select",
      "label": "服务企业",
      "prop": "drugEntId",
      dicUrl: '/admin/wmdadrugent/list',
      props: {
        label: 'entname',
        value: 'id'
      },
      span: 13,
      rules: [{
        required: true,
        message: '请选择企业',
        trigger: 'blur'
      }],
    },
    {
      "label": "完成时间",
      "prop": "lookintoDate",
      span: 13,
      type: 'datetime',
      format: 'yyyy-MM-dd HH:mm:ss',
      valueFormat: 'yyyy-MM-dd HH:mm:ss',

    },
    {
      "label": "任务状态",
      "prop": "taskStatus",
      span: 13,
      type: 'select',
      dicUrl: '/admin/dict/type/task_status',

    },

    // {
    //   "type": "select",
    //   "label": "医药代表ID",
    //   "prop": "userId",
    //   span: 13,
    //   dicUrl: '/admin/user/list',
    //   search: true,
    //   props: {
    //     label: 'realname',
    //     value: 'id'
    //   },
    // }
    // ,
    {
      "type": "select",
      "label": "任务规则",
      "prop": "taskRuleId",
      span: 13,
      dicUrl: '/admin/wmtaskrule/list',
      props: {
        label: 'ruleMonth',
        value: 'id'
      },
      hide: true,
      editDisplay: false,
      addDisplay: false
    }, {
      "type": "input",
      "label": "医院城市",
      "prop": "provinceTxt",
      span: 13,
      formslot: true,
      slot: true,
      overHidden: true,
      hide: true,
    },
    {
      "type": "input",
      "label": "省",
      "prop": "province",
      slot: true,
      overHidden: true,
      hide: true,
      editDisplay: false,
      addDisplay: false
    }, {
      "type": "input",
      "label": "市",
      "prop": "city",
      formslot: true,
      slot: true,
      overHidden: true,
      span: 24,
      hide: true,
      editDisplay: false,
      addDisplay: false
    }, {
      "type": "input",
      "label": "区",
      "prop": "area",
      formslot: true,
      slot: true,
      overHidden: true,
      span: 24,
      hide: true,
      editDisplay: false,
      addDisplay: false
    }, {
      "type": "input",
      "label": "地址",
      "prop": "address",
      span: 20,
      formslot: true,
      overHidden: true,
      hide: true,
      editDisplay: false,
      addDisplay: false
    }, {
      "label": "调研类型",
      "prop": "lookintoTypeId",
      span: 13,
      type: 'select',
      dicUrl: '/admin/dict/type/diaoyan_type',
      hide: true,
      editDisplay: false,
      addDisplay: false
    }, {
      "type": "select",
      "label": "任务内容ID",
      "prop": "taskContentId",
      span: 13,
      dicUrl: '/admin/wmtaskcontent/list',
      hide: true,
      editDisplay: false,
      addDisplay: false,
      props: {
        label: 'address',
        value: 'id'
      },
      rules: [{
        required: true,
        message: '反馈意见用户',
        trigger: 'blur'
      }],

    }, {
      "type": "input",
      "label": "是否删除",
      "prop": "delFlag",
      hide: true,
      editDisplay: false,
      addDisplay: false,
      value: 0
    }, {
      "type": "input",
      "label": "是否禁用",
      "prop": "enableFlag",
      hide: true,
      editDisplay: false,
      addDisplay: false,
      value: 0
    }, {
      "type": "input",
      "label": "所属租户",
      "prop": "tenantId",
      hide: true,
      editDisplay: false,
      addDisplay: false,
    }, {
      "type": "input",
      "label": "创建时间",
      "prop": "createTime",
      hide: true,
      editDisplay: false,
      addDisplay: false,
    }, {
      "type": "input",
      "label": "创建人",
      "prop": "createUser",
      hide: true,
      editDisplay: false,
      addDisplay: false,
    }, {
      "type": "input",
      "label": "更新时间",
      "prop": "updateTime",
      hide: true,
      editDisplay: false,
      addDisplay: false,
    }, {
      "type": "input",
      "label": "更新人",
      "prop": "updateUser",
      hide: true,
      editDisplay: false,
      addDisplay: false,
    }]
}

export const tableOptionJSX = {
  "border": true,
  "index": true,
  "indexLabel": "序号",
  "stripe": true,
  "menuAlign": "center",
  "align": "center",
  "searchMenuSpan": 6,
  editBtn: false,
  delBtn: false,
  addBtn: false,
  "column": [
    {
      "type": "input",
      "label": "",
      "prop": "id",
      hide: true,
      editDisplay: false,
      addDisplay: false,
    }, {
      "type": "select",
      "label": "任务类型",
      "prop": "taskTypeId",
      span: 13,
      dicUrl: '/admin/wmtasktype/list',
      props: {
        label: 'taskTypeName',
        value: 'id'
      },
      rules: [{
        required: true,
        message: '任务类型',
        trigger: 'blur'
      }],
    }, {
      "type": "input",
      "label": "任务得分",
      "prop": "score",
      span: 13,
    },
    {
      "type": "select",
      "label": "积分包ID",
      "prop": "scorePackageId",
      span: 13,
      dicUrl: '/admin/wmscorepackage/list',
      props: {
        label: 'scoreId',
        value: 'id'
      },
      rules: [{
        required: true,
        message: '积分包ID',
        trigger: 'blur'
      }],
    },
    {
      "type": "select",
      "label": "姓名",
      "prop": "taskUserId",
      dicUrl: '/admin/user/list',
      props: {
        label: 'realname',
        value: 'id'
      },
      rules: [{
        required: true,
        message: '姓名',
        trigger: 'blur'
      }],
    },

    {
      "type": "select",
      "label": "所属组织",
      "prop": "deptId",
      dicUrl: '/admin/dept/list',
      props: {
        label: 'name',
        value: 'dept_id'
      },
    },

    {
      "type": "select",
      "label": "服务企业",
      "prop": "drugEntId",
      dicUrl: '/admin/wmdadrugent/list',
      props: {
        label: 'entname',
        value: 'id'
      },
      span: 13,
      rules: [{
        required: true,
        message: '请选择企业',
        trigger: 'blur'
      }],
    },
    {
      "label": "完成时间",
      "prop": "lookintoDate",
      span: 13,
      type: 'datetime',
      format: 'yyyy-MM-dd HH:mm:ss',
      valueFormat: 'yyyy-MM-dd HH:mm:ss',

    },
    {
      "label": "任务状态",
      "prop": "taskStatus",
      span: 13,
      type: 'select',
      dicUrl: '/admin/dict/type/task_status',
    },

    // {
    //   "type": "select",
    //   "label": "医药代表ID",
    //   "prop": "userId",
    //   span: 13,
    //   dicUrl: '/admin/user/list',
    //   search: true,
    //   props: {
    //     label: 'realname',
    //     value: 'id'
    //   },
    // }
    // ,
    {
      "type": "select",
      "label": "任务规则",
      "prop": "taskRuleId",
      span: 13,
      dicUrl: '/admin/wmtaskrule/list',
      props: {
        label: 'ruleMonth',
        value: 'id'
      },
      hide: true,
      editDisplay: false,
      addDisplay: false
    }, {
      "type": "input",
      "label": "医院城市",
      "prop": "provinceTxt",
      span: 13,
      formslot: true,
      slot: true,
      overHidden: true,
      hide: true,
    },
    {
      "type": "input",
      "label": "省",
      "prop": "province",
      slot: true,
      overHidden: true,
      hide: true,
      editDisplay: false,
      addDisplay: false
    }, {
      "type": "input",
      "label": "市",
      "prop": "city",
      formslot: true,
      slot: true,
      overHidden: true,
      span: 24,
      hide: true,
      editDisplay: false,
      addDisplay: false
    }, {
      "type": "input",
      "label": "区",
      "prop": "area",
      formslot: true,
      slot: true,
      overHidden: true,
      span: 24,
      hide: true,
      editDisplay: false,
      addDisplay: false
    }, {
      "type": "input",
      "label": "地址",
      "prop": "address",
      span: 20,
      formslot: true,
      overHidden: true,
      hide: true,
      editDisplay: false,
      addDisplay: false
    }, {
      "label": "调研类型",
      "prop": "lookintoTypeId",
      span: 13,
      type: 'select',
      dicUrl: '/admin/dict/type/diaoyan_type',
      hide: true,
      editDisplay: false,
      addDisplay: false
    }, {
      "type": "select",
      "label": "任务内容ID",
      "prop": "taskContentId",
      span: 13,
      dicUrl: '/admin/wmtaskcontent/list',
      hide: true,
      editDisplay: false,
      addDisplay: false,
      props: {
        label: 'address',
        value: 'id'
      },
      rules: [{
        required: true,
        message: '反馈意见用户',
        trigger: 'blur'
      }],

    }, {
      "type": "input",
      "label": "是否删除",
      "prop": "delFlag",
      hide: true,
      editDisplay: false,
      addDisplay: false,
      value: 0
    }, {
      "type": "input",
      "label": "是否禁用",
      "prop": "enableFlag",
      hide: true,
      editDisplay: false,
      addDisplay: false,
      value: 0
    }, {
      "type": "input",
      "label": "所属租户",
      "prop": "tenantId",
      hide: true,
      editDisplay: false,
      addDisplay: false,
    }, {
      "type": "input",
      "label": "创建时间",
      "prop": "createTime",
      hide: true,
      editDisplay: false,
      addDisplay: false,
    }, {
      "type": "input",
      "label": "创建人",
      "prop": "createUser",
      hide: true,
      editDisplay: false,
      addDisplay: false,
    }, {
      "type": "input",
      "label": "更新时间",
      "prop": "updateTime",
      hide: true,
      editDisplay: false,
      addDisplay: false,
    }, {
      "type": "input",
      "label": "更新人",
      "prop": "updateUser",
      hide: true,
      editDisplay: false,
      addDisplay: false,
    }]
}


export const tableOptionAuditCheck = {
  "border": true,
  "index": true,
  "indexLabel": "序号",
  "stripe": true,
  "menuAlign": "center",
  "align": "center",
  "searchMenuSpan": 6,
  editBtn: false,
  addBtn: false,
  delBtn: false,
  "column": [
    {
      "type": "input",
      "label": "",
      "prop": "id",
      hide: true,
      editDisplay: false,
      addDisplay: false,
    }, {
      "type": "select",
      "label": "机构类型",
      "prop": "taskTypeId",
      span: 13,
      dicUrl: '/admin/dict/type/audit_task_type',
      search: true,
      rules: [{
        required: true,
        message: '任务类型',
        trigger: 'blur'
      }],
    }, {
      "type": "select",
      "label": "任务内容ID",
      "prop": "taskContentId",
      span: 13,
      hide: true,
      // dicUrl: '/admin/wmtaskcontent/list',
      // props: {
      //   label: 'address',
      //   value: 'id'
      // },
      rules: [{
        required: true,
        message: '反馈意见用户',
        trigger: 'blur'
      }],

    },
    {
      "type": "select",
      "label": "提交人",
      "prop": "taskUsername",
      // dicUrl: '/admin/user/listNoScope',
      // props: {
      //   label: 'realname',
      //   value: 'id'
      // },
      rules: [{
        required: true,
        message: '提交人',
        trigger: 'blur'
      }],
    },
    {
      "type": "select",
      "label": "手机号",
      "prop": "username",
      // dicUrl: '/admin/user/listNoScope',
      // props: {
      //   label: 'name',
      //   value: 'id'
      // },
      rules: [{
        required: true,
        message: '提交人',
        trigger: 'blur'
      }],
    }, {
      "label": "任务状态",
      "prop": "platAuditStatus",
      span: 13,
      hide: true,
      type: 'select',
      dicUrl: '/admin/dict/type/audit_status',
      search: true,

    }, {
      "label": "提交时间",
      "prop": "createTime",
      span: 13,
      searchSpan: 10,
      search: true,
      searchslot: true,
    },
    // {
    //   "label": "至",
    //   "prop": "endDate",
    //   span: 13,
    //   search:true,
    //   hide:true,
    //   type: 'date',
    //   // format: 'yyyy-MM-dd HH:mm:ss',
    //   valueFormat: 'yyyy-MM-dd',
    //   editDisplay: false,
    //   addDisplay: false,
    // }
  ]
}
