export const tableOptionPT = {
  border: true,
  index: true,
  indexLabel: "序号",
  stripe: true,
  menuAlign: "center",
  align: "center",
  searchMenuSpan: 6,
  addTitle: "新 增（新增规则只影响下一个月生效）",
  editTitle: "编 辑（修改规则只影响下一个月的任务）",
  addBtn: false,
  delBtn: false,
  searchLabelWidth: 130,
  column: [
    {
      type: "input",
      label: "",
      prop: "id",
      hide: true,
      editDisplay: false,
      addDisplay: false
    },
    {
      type: "input",
      label: "上级服务类型名称",
      search: true,
      prop: "baseId"
    },
    {
      slot: true,
      type: "select",
      label: "服务类型名称",
      prop: "taskTypeName",
      span: 13,
      dicUrl: "/admin/wmtasktype/list",
      search: true,
      props: {
        label: "taskTypeName",
        value: "taskTypeName"
      },
      rules: [
        {
          required: true,
          message: "任务类型",
          trigger: "blur"
        }
      ]
    },
    {
      label: "任务类型级别",
      prop: "taskTypeLevel",
      type: "select",
      dicUrl: "/admin/dict/type/taskRuleType",
      rules: [
        {
          required: true,
          message: "任务类型级别",
          trigger: "blur"
        }
      ],
      search: true,
      span: 13,
      hide: true,
      editDisplay: false,
      addDisplay: false,
      value: 1
    },
    {
      type: "input",
      label: "积分默认值",
      prop: "score",
      span: 13
    },
    {
      type: "input",
      label: "积分范围开始",
      prop: "taskScoreStart",
      span: 13
    },
    {
      type: "input",
      label: "积分范围结束",
      prop: "taskScoreEnd",
      span: 13
    },
    {
      type: "input",
      label: "组织机构ID",
      prop: "deptId",
      hide: true,
      editDisplay: false,
      addDisplay: false
    },
    {
      type: "input",
      label: "是否删除",
      prop: "delFlag",
      hide: true,
      editDisplay: false,
      addDisplay: false,
      value: 0
    },
    {
      label: "启停状态",
      prop: "enableFlag",
      type: "select",
      dicUrl: "/admin/dict/type/enable_disabled",
      rules: [
        {
          required: true,
          message: "任务类型级别",
          trigger: "blur"
        }
      ],
      search: true,
      span: 13
    },
    {
      label: "是否生效",
      prop: "status",
      type: "select",
      dicUrl: "/admin/dict/type/taskRuleTypeStatus",
      rules: [
        {
          required: true,
          message: "是否生效",
          trigger: "blur"
        }
      ],
      search: true,
      span: 13,
      editDisplay: false,
      addDisplay: false
    },
    {
      type: "select",
      label: "企业",
      prop: "durgentId",
      dicUrl: "/admin/wmdadrugent/list",
      props: {
        label: "entname",
        value: "id"
      },
      span: 13,
      hide: true,
      editDisplay: false,
      addDisplay: false,
      rules: [
        {
          required: true,
          message: "请选择企业",
          trigger: "blur"
        }
      ]
    },
    {
      type: "select",
      label: "药企分配代理商",
      prop: "taskEntId",
      dicUrl: "/admin/wmtasktypeentref/list",
      props: {
        label: "agentId",
        value: "id"
      },
      span: 13,
      hide: true,
      editDisplay: false,
      addDisplay: false,
      rules: [
        {
          required: true,
          message: "药企分配代理商",
          trigger: "blur"
        }
      ]
    },
    {
      type: "select",
      label: "一级代理商",
      prop: "level1Id",
      hide: true,
      editDisplay: false,
      addDisplay: false,
      span: 13,
      dicUrl: "/admin/wmdaagent/list?agentTypeId=1",
      props: {
        label: "gsmc",
        value: "id"
      }
    },
    {
      type: "input",
      label: "所属租户",
      prop: "tenantId",
      hide: true,
      editDisplay: false,
      addDisplay: false
    },
    {
      type: "input",
      label: "创建时间",
      prop: "createTime",
      hide: true,
      editDisplay: false,
      addDisplay: false
    },
    {
      type: "input",
      label: "创建人",
      prop: "createUser",
      hide: true,
      editDisplay: false,
      addDisplay: false
    },
    {
      type: "input",
      label: "更新时间",
      prop: "updateTime",
      hide: true,
      editDisplay: false,
      addDisplay: false
    },
    {
      type: "input",
      label: "更新人",
      prop: "updateUser",
      hide: true,
      editDisplay: false,
      addDisplay: false
    }
  ]
};

export const tableOptionYQ = {
  border: true,
  index: true,
  indexLabel: "序号",
  stripe: true,
  menuAlign: "center",
  align: "center",
  searchMenuSpan: 6,
  delBtn: false,
  addBtn: false,
  searchLabelWidth: 130,
  labelWidth: 120,
  column: [
    {
      type: "input",
      label: "",
      prop: "id",
      hide: true,
      editDisplay: false,
      addDisplay: false
    },

    {
      type: "input",
      label: "上级服务类型名称",
      search: true,
      prop: "baseId"
    },
    {
      type: "select",
      label: "服务类型名称",
      prop: "taskTypeName",
      span: 13,
      slot: true,
      dicUrl: "/admin/wmtasktype/list",
      editDetail: true,
      search: true,
      props: {
        label: "taskTypeName",
        value: "taskTypeName"
      },
      rules: [
        {
          required: true,
          message: "任务类型",
          trigger: "blur"
        }
      ]
    },
    {
      label: "任务类型级别",
      prop: "taskTypeLevel",
      type: "select",
      dicUrl: "/admin/dict/type/taskRuleType",
      hide: true,
      editDisplay: false,
      addDisplay: false,
      value: 2,
      rules: [
        {
          required: true,
          message: "任务类型级别",
          trigger: "blur"
        }
      ],
      span: 13
    },
    {
      type: "input",
      label: "服务分值",
      prop: "score",
      span: 13
    },
    {
      type: "input",
      label: "积分范围开始",
      prop: "taskScoreStart",
      span: 13,
      hide: true,
      editDisplay: false,
      addDisplay: false
    },
    {
      type: "input",
      label: "积分范围结束",
      prop: "taskScoreEnd",
      span: 13,
      hide: true,
      editDisplay: false,
      addDisplay: false
    },
    {
      type: "input",
      label: "组织机构ID",
      prop: "deptId",
      hide: true,
      editDisplay: false,
      addDisplay: false
    },
    {
      type: "input",
      label: "是否删除",
      prop: "delFlag",
      hide: true,
      editDisplay: false,
      addDisplay: false,
      value: 0
    },
    {
      label: "启停状态",
      prop: "enableFlag",
      type: "select",
      dicUrl: "/admin/dict/type/enable_disabled",
      rules: [
        {
          required: true,
          message: "任务类型级别",
          trigger: "blur"
        }
      ],
      search: true,
      span: 13
    },
    {
      type: "select",
      label: "企业",
      prop: "durgentId",
      dicUrl: "/admin/wmdadrugent/list",
      props: {
        label: "entname",
        value: "id"
      },
      span: 13,
      hide: true,
      editDisplay: false,
      addDisplay: false,
      rules: [
        {
          required: true,
          message: "请选择企业",
          trigger: "blur"
        }
      ]
    },
    {
      type: "select",
      label: "药企分配代理商",
      prop: "taskEntId",
      dicUrl: "/admin/wmtasktypeentref/list",
      props: {
        label: "agentId",
        value: "id"
      },
      span: 13,
      hide: true,
      editDisplay: false,
      addDisplay: false,
      rules: [
        {
          required: true,
          message: "药企分配代理商",
          trigger: "blur"
        }
      ]
    },
    {
      type: "select",
      label: "一级代理商",
      prop: "level1Id",
      hide: true,
      span: 13,
      editDisplay: false,
      addDisplay: false,
      dicUrl: "/admin/wmdaagent/list?agentTypeId=1",
      props: {
        label: "gsmc",
        value: "id"
      }
    },
    {
      type: "input",
      label: "所属租户",
      prop: "tenantId",
      hide: true,
      editDisplay: false,
      addDisplay: false
    },
    {
      type: "input",
      label: "创建时间",
      prop: "createTime",
      hide: true,
      editDisplay: false,
      addDisplay: false
    },
    {
      type: "input",
      label: "创建人",
      prop: "createUser",
      hide: true,
      editDisplay: false,
      addDisplay: false
    },
    {
      type: "input",
      label: "更新时间",
      prop: "updateTime",
      hide: true,
      editDisplay: false,
      addDisplay: false
    },
    {
      type: "input",
      label: "更新人",
      prop: "updateUser",
      hide: true,
      editDisplay: false,
      addDisplay: false
    }
  ]
};
