export const tableOption = {
  border: true,
  index: true,
  indexLabel: "序号",
  stripe: true,
  menuAlign: "center",
  align: "center",
  searchMenuSpan: 6,
  editBtn: false,
  addBtn: false,
  column: [
    {
      type: "input",
      label: "",
      prop: "id",
      hide: true,
      editDisplay: false,
      addDisplay: false
    },
    {
      type: "input",
      label: "相册名称",
      prop: "xcmc",
      search: true,
      span: 13,
      rules: [
        {
          required: true,
          message: "请输入文章标题"
        },
        {
          min: 1,
          max: 40,
          message: "长度在 1-20 个汉字",
          trigger: "blur"
        }
      ]
    },
    {
      label: "封面",
      prop: "scfm",
      span: 13,
      type: "upload",
      action: "/admin/sys-file/upload",
      propsHttp: {
        res: "data"
      },
      listType: "picture-img",
      dataType: "string",
      tip: "相册封面尺寸比例(84*104)",
      editDisplay: false,
      addDisplay: false
    },
    {
      label: "封面",
      prop: "temp2",
      type: "input",
      hide: true,
      formslot: true,
      slot: true,
      span: 24
    },
    {
      type: "select",
      label: "关联产品",
      multiple: true,
      filterable: true,
      prop: "glyp",
      dicUrl: "/admin/wmdadrugentdrugtable/list",
      sortable: true,
      dataType: "string",
      props: {
        label: "drugname",
        value: "id"
      },
      span: 13,
      search: true,
      hide: true,
      rules: [
        {
          required: true,
          message: "请选择企业",
          trigger: "blur"
        }
      ]
    },
    {
      type: "input",
      label: "关联产品",
      prop: "temp1",
      span: 24,
      editDisplay: false,
      addDisplay: false
    },
    {
      type: "input",
      label: "文本",
      prop: "wb",
      span: 24,
      hide: true,
      formslot: true,
      slot: true
    },
    {
      type: "input",
      label: "组织机构ID",
      prop: "deptId",
      hide: true,
      editDisplay: false,
      addDisplay: false
    },
    {
      type: "input",
      label: "是否删除",
      prop: "delFlag",
      hide: true,
      editDisplay: false,
      addDisplay: false,
      value: 0
    },
    {
      type: "input",
      label: "是否禁用",
      prop: "enableFlag",
      hide: true,
      editDisplay: false,
      addDisplay: false,
      value: 0
    },
    {
      type: "input",
      label: "所属租户",
      prop: "tenantId",
      hide: true,
      editDisplay: false,
      addDisplay: false
    },
    {
      type: "input",
      label: "创建时间",
      prop: "createTime",
      hide: true,
      editDisplay: false,
      addDisplay: false
    },
    {
      type: "input",
      label: "创建人",
      prop: "createUser",
      hide: true,
      editDisplay: false,
      addDisplay: false
    },
    {
      type: "input",
      label: "更新时间",
      prop: "updateTime",
      hide: true,
      editDisplay: false,
      addDisplay: false
    },
    {
      type: "input",
      label: "更新人",
      prop: "updateUser",
      hide: true,
      editDisplay: false,
      addDisplay: false
    }
  ]
};
