export const tableOption = {
  "border": true,
  "index": true,
  "indexLabel": "序号",
  "stripe": true,
  "menuAlign": "center",
  "align": "center",
  "searchMenuSpan": 6,
  editBtn:false,
  addBtn:false,
  "column": [
	  {
      "type": "input",
      "label": "",
      "prop": "id",
      hide:true,
      editDisplay: false,
      addDisplay: false
    },	  {
      "type": "input",
      "label": "文章标题",
      "prop": "title",
      search:true,
      span: 13,
      rules: [{
        required: true,
        message: '请输入文章标题'
      },
        {
          min: 1,
          max: 400,
          message: '长度在 1-200 个汉字',
          trigger: 'blur'
        }
      ]


    },
    {
      "type": "input",
      "label": "区域",
      "prop": "area",
      search:true,
      span: 13,
      rules: [
        {
          min: 1,
          max: 128,
          message: '长度在 1-64 个汉字',
          trigger: 'blur'
        }
      ]


    },{
      "type": "textarea",
      "label": "文章描述",
      "prop": "description",
      hide:true,
      span: 13,
      // rules: [{
      //   required: true,
      //   message: '请输入文章描述'
      // },
      //   {
      //     min: 1,
      //     max: 400,
      //     message: '长度在 1-200 个汉字',
      //     trigger: 'blur'
      //   }
      // ]

    },	  {
      "type": "input",
      "label": "作者",
      "prop": "author",
      search:true,
      span: 13,
      rules: [{
        required: true,
        message: '请输入作者'
      },
        {
          min: 1,
          max: 40,
          message: '长度在 1-20 个汉字',
          trigger: 'blur'
        }
      ]
    },
    // {
    //   "label": "封面",
    //   "prop": "fm",
    //   type: 'upload',
    //   action: "/admin/sys-file/upload",
    //   propsHttp: {
    //     res: 'data'
    //   },
    //   listType: 'picture-img',
    //   dataType: 'string',
    //   tip: '上传同步至文件服务器',
    //   span: 24,
    //   editDisplay: false,
    //   addDisplay: false,
    // },
    // {
    //   "label": "封面",
    //   "prop": "temp1",
    //   type: 'input',
    //   hide:true,
    //   formslot: true,
    //   slot: true,
    //   span: 24,
    // },
    {
      "type": "input",
      "label": "文章内容",
      "prop": "content"  ,
      hide:true,
      formslot: true,
      slot: true,
      span: 24,
    },
    // {
    //   "label": "文章来源",
    //   "prop": "source",
    //   span: 13,
    //   type: 'select',
    //   dicUrl: '/admin/dict/type/source_type',
    //   rules: [{
    //     required: true,
    //     message: '任务大类',
    //     trigger: 'blur'
    //   }],
    //   search: true

    // },
    {
      "type": "select",
      "label": "文章来源",
      "prop": "sourceEnt",
      dicUrl: '/admin/dept/listScope',
      multiple:true,
      search: true,
      filterable:true,
      props: {
        label: 'name',
        value: 'deptId'
      },
    },


    {
      "type": "input",
      "label": "组织机构ID",
      "prop": "deptId",
      hide:true,
      editDisplay: false,
      addDisplay: false
    },	  {
      "type": "input",
      "label": "是否删除",
      "prop": "delFlag",
      hide:true,
      editDisplay: false,
      addDisplay: false
    },	  {
      "type": "input",
      "label": "是否禁用",
      "prop": "enableFlag",
      hide:true,
      editDisplay: false,
      addDisplay: false
    },	  {
      "type": "input",
      "label": "所属租户",
      "prop": "tenantId",
      hide:true,
      editDisplay: false,
      addDisplay: false
    },	  {
      "label": "创建时间",
      "prop": "createTime",
      search:true,
      editDisplay: false,
      addDisplay: false,
      type: 'datetime',
      format: 'yyyy-MM-dd',
      valueFormat: 'yyyy-MM-dd',
    },
    {
      "label": "至",
      "prop": "updateTime",
      search:true,
      hide:true,
      editDisplay: false,
      addDisplay: false,
      type: 'datetime',
      format: 'yyyy-MM-dd',
      valueFormat: 'yyyy-MM-dd',
    },
    {
      "type": "input",
      "label": "创建人",
      "prop": "createUser",
      hide:true,
      editDisplay: false,
      addDisplay: false
    },	  {
      "type": "input",
      "label": "更新人",
      "prop": "updateUser",
      hide:true,
      editDisplay: false,
      addDisplay: false
    }  ]
}
